-----------------------------------------------------------------------
-- Upvalued Lua API.
-----------------------------------------------------------------------
local _G = getfenv(0)
local select = _G.select
local string = _G.string
local format = string.format

-- WoW

-- ----------------------------------------------------------------------------
-- AddOn namespace.
-- ----------------------------------------------------------------------------
local addonname = ...
local AtlasLoot = _G.AtlasLoot

--##START-DATA##
local SOURCE_DATA = {
	["AtlasLootIDs"] = {
		"Ragefire",
		"WailingCaverns",
		"TheDeadmines",
		"ShadowfangKeep",
		"BlackfathomDeeps",
		"TheStockade",
		"Gnomeregan",
		"RazorfenKraul",
		"ScarletMonasteryGraveyard",
		"ScarletMonasteryLibrary",
		"ScarletMonasteryArmory",
		"ScarletMonasteryCathedral",
		"RazorfenDowns",
		"Uldaman",
		"Zul'Farrak",
		"Maraudon",
		"TheTempleOfAtal'Hakkar",
		"BlackrockDepths",
		"LowerBlackrockSpire",
		"UpperBlackrockSpire",
		"DireMaulEast",
		"DireMaulWest",
		"DireMaulNorth",
		"Scholomance",
		"Stratholme",
		"WorldBosses",
		"MoltenCore",
		"Onyxia",
		"Zul'Gurub",
		"BlackwingLair",
		"TheRuinsofAhnQiraj",
		"TheTempleofAhnQiraj",
		"Naxxramas"
	},
	["ItemData"] = {
		[118] = {[3] = 7,[4] = 2330},
		[724] = {[3] = 9,[4] = 2542},
		[733] = {[3] = 9,[4] = 2543},
		[776] = {8,9,1},
		[787] = {[3] = 9,[4] = 7752},
		[858] = {[3] = 7,[4] = 2337},
		[862] = {15,14,1},
		[872] = {3,1,1},
		[888] = {5,2,1},
		[929] = {[3] = 7,[4] = 3447},
		[932] = {4,2,1},
		[1017] = {[3] = 9,[4] = 2549},
		[1076] = {6,3,1},
		[1082] = {[3] = 9,[4] = 2547},
		[1155] = {5,5,1},
		[1156] = {3,5,1},
		[1177] = {14,3,1},
		[1251] = {[3] = 4,[4] = 3275},
		[1292] = {4,3,1},
		[1318] = {4,13,1},
		[1454] = {5,8,1},
		[1470] = {5,3,1},
		[1481] = {5,8,1},
		[1482] = {4,13,1},
		[1483] = {4,13,1},
		[1484] = {4,13,1},
		[1486] = {5,8,1},
		[1488] = {8,9,1},
		[1489] = {4,13,1},
		[1491] = {5,8,1},
		[1710] = {[3] = 7,[4] = 7181},
		[1727] = {8,9,1},
		[1935] = {4,13,1},
		[1937] = {3,4,1},
		[1974] = {4,13,1},
		[1975] = {8,9,1},
		[1976] = {8,9,1},
		[1978] = {8,9,1},
		[1992] = {{10,3,1},{11,2,1},{12,4,1}},
		[2039] = {8,9,1},
		[2040] = {15,14,1},
		[2169] = {3,4,1},
		[2205] = {4,13,1},
		[2262] = {{9,6,1},{10,3,1},{11,2,1},{12,4,1}},
		[2264] = {8,9,1},
		[2271] = {5,8,1},
		[2280] = {6,1,1},
		[2292] = {4,13,1},
		[2300] = {[3] = 6,[4] = 2160},
		[2302] = {[3] = 6,[4] = 2149},
		[2303] = {[3] = 6,[4] = 2153},
		[2304] = {[3] = 6,[4] = 2152},
		[2307] = {[3] = 6,[4] = 2158},
		[2308] = {[3] = 6,[4] = 2159},
		[2309] = {[3] = 6,[4] = 2161},
		[2310] = {[3] = 6,[4] = 2162},
		[2311] = {[3] = 6,[4] = 2163},
		[2312] = {[3] = 6,[4] = 2164},
		[2313] = {[3] = 6,[4] = 2165},
		[2314] = {[3] = 6,[4] = 2166},
		[2315] = {[3] = 6,[4] = 2167},
		[2316] = {[3] = 6,[4] = 2168},
		[2317] = {[3] = 6,[4] = 2169},
		[2318] = {[3] = 6,[4] = 2881},
		[2319] = {[3] = 6,[4] = 20648},
		[2454] = {[3] = 7,[4] = 2329},
		[2455] = {[3] = 7,[4] = 2331},
		[2456] = {[3] = 7,[4] = 2332},
		[2457] = {[3] = 7,[4] = 3230},
		[2458] = {[3] = 7,[4] = 2334},
		[2459] = {[3] = 7,[4] = 2335},
		[2460] = {[3] = 7,[4] = 2336},
		[2549] = {8,9,1},
		[2567] = {5,8,1},
		[2568] = {[3] = 11,[4] = 2385},
		[2569] = {[3] = 11,[4] = 2386},
		[2570] = {[3] = 11,[4] = 2387},
		[2572] = {[3] = 11,[4] = 2389},
		[2575] = {[3] = 11,[4] = 2392},
		[2576] = {[3] = 11,[4] = 2393},
		[2577] = {[3] = 11,[4] = 2394},
		[2578] = {[3] = 11,[4] = 2395},
		[2579] = {[3] = 11,[4] = 2396},
		[2580] = {[3] = 11,[4] = 2397},
		[2581] = {[3] = 4,[4] = 3276},
		[2582] = {[3] = 11,[4] = 2399},
		[2583] = {[3] = 11,[4] = 2401},
		[2584] = {[3] = 11,[4] = 2402},
		[2585] = {[3] = 11,[4] = 2403},
		[2587] = {[3] = 11,[4] = 2406},
		[2662] = {18,20,1},
		[2663] = {18,20,1},
		[2679] = {[3] = 9,[4] = 2538},
		[2680] = {[3] = 9,[4] = 2539},
		[2681] = {[3] = 9,[4] = 2540},
		[2682] = {[3] = 9,[4] = 2545},
		[2683] = {[3] = 9,[4] = 2544},
		[2684] = {[3] = 9,[4] = 2541},
		[2685] = {[3] = 9,[4] = 2548},
		[2687] = {[3] = 9,[4] = 2546},
		[2807] = {4,13,1},
		[2816] = {8,2,1},
		[2840] = {[3] = 10,[4] = 2657},
		[2841] = {[3] = 10,[4] = 2659},
		[2842] = {[3] = 10,[4] = 2658},
		[2844] = {[3] = 5,[4] = 2737},
		[2845] = {[3] = 5,[4] = 2738},
		[2847] = {[3] = 5,[4] = 2739},
		[2848] = {[3] = 5,[4] = 2740},
		[2849] = {[3] = 5,[4] = 2741},
		[2850] = {[3] = 5,[4] = 2742},
		[2851] = {[3] = 5,[4] = 2661},
		[2852] = {[3] = 5,[4] = 2662},
		[2853] = {[3] = 5,[4] = 2663},
		[2854] = {[3] = 5,[4] = 2664},
		[2857] = {[3] = 5,[4] = 2666},
		[2862] = {[3] = 5,[4] = 2660},
		[2863] = {[3] = 5,[4] = 2665},
		[2864] = {[3] = 5,[4] = 2667},
		[2865] = {[3] = 5,[4] = 2668},
		[2866] = {[3] = 5,[4] = 2670},
		[2867] = {[3] = 5,[4] = 2671},
		[2868] = {[3] = 5,[4] = 2672},
		[2869] = {[3] = 5,[4] = 2673},
		[2870] = {[3] = 5,[4] = 2675},
		[2871] = {[3] = 5,[4] = 2674},
		[2874] = {3,8,1},
		[2888] = {[3] = 9,[4] = 2795},
		[2892] = {[3] = 16,[4] = 2835},
		[2893] = {[3] = 16,[4] = 2837},
		[2941] = {6,2,1},
		[2942] = {6,2,1},
		[2996] = {[3] = 11,[4] = 2963},
		[2997] = {[3] = 11,[4] = 2964},
		[3078] = {5,2,1},
		[3191] = {4,5,1},
		[3194] = {4,13,1},
		[3220] = {[3] = 9,[4] = 3371},
		[3228] = {6,2,1},
		[3230] = {4,10,1},
		[3239] = {[3] = 5,[4] = 3115},
		[3240] = {[3] = 5,[4] = 3116},
		[3241] = {[3] = 5,[4] = 3117},
		[3382] = {[3] = 7,[4] = 3170},
		[3383] = {[3] = 7,[4] = 3171},
		[3384] = {[3] = 7,[4] = 3172},
		[3385] = {[3] = 7,[4] = 3173},
		[3386] = {[3] = 7,[4] = 3174},
		[3387] = {[3] = 7,[4] = 3175},
		[3388] = {[3] = 7,[4] = 3176},
		[3389] = {[3] = 7,[4] = 3177},
		[3390] = {[3] = 7,[4] = 2333},
		[3391] = {[3] = 7,[4] = 3188},
		[3413] = {5,8,1},
		[3414] = {5,8,1},
		[3415] = {5,8,1},
		[3416] = {5,8,1},
		[3417] = {5,8,1},
		[3456] = {10,1,1},
		[3469] = {[3] = 5,[4] = 3319},
		[3470] = {[3] = 5,[4] = 3320},
		[3471] = {[3] = 5,[4] = 3321},
		[3472] = {[3] = 5,[4] = 3323},
		[3473] = {[3] = 5,[4] = 3324},
		[3474] = {[3] = 5,[4] = 3325},
		[3478] = {[3] = 5,[4] = 3326},
		[3480] = {[3] = 5,[4] = 3328},
		[3481] = {[3] = 5,[4] = 3330},
		[3482] = {[3] = 5,[4] = 3331},
		[3483] = {[3] = 5,[4] = 3333},
		[3484] = {[3] = 5,[4] = 3334},
		[3485] = {[3] = 5,[4] = 3336},
		[3486] = {[3] = 5,[4] = 3337},
		[3487] = {[3] = 5,[4] = 3292},
		[3488] = {[3] = 5,[4] = 3293},
		[3489] = {[3] = 5,[4] = 3294},
		[3490] = {[3] = 5,[4] = 3295},
		[3491] = {[3] = 5,[4] = 3296},
		[3492] = {[3] = 5,[4] = 3297},
		[3530] = {[3] = 4,[4] = 3277},
		[3531] = {[3] = 4,[4] = 3278},
		[3575] = {[3] = 10,[4] = 3307},
		[3576] = {[3] = 10,[4] = 3304},
		[3577] = {[3] = 10,[4] = 3308},
		[3662] = {[3] = 9,[4] = 3370},
		[3663] = {[3] = 9,[4] = 3372},
		[3664] = {[3] = 9,[4] = 3373},
		[3665] = {[3] = 9,[4] = 3376},
		[3666] = {[3] = 9,[4] = 3377},
		[3719] = {[3] = 6,[4] = 3760},
		[3726] = {[3] = 9,[4] = 3397},
		[3727] = {[3] = 9,[4] = 3398},
		[3728] = {[3] = 9,[4] = 3399},
		[3729] = {[3] = 9,[4] = 3400},
		[3748] = {4,11,1},
		[3775] = {[3] = 16,[4] = 3420},
		[3776] = {[3] = 16,[4] = 3421},
		[3823] = {[3] = 7,[4] = 3448},
		[3824] = {[3] = 7,[4] = 3449},
		[3825] = {[3] = 7,[4] = 3450},
		[3826] = {[3] = 7,[4] = 3451},
		[3827] = {[3] = 7,[4] = 3452},
		[3828] = {[3] = 7,[4] = 3453},
		[3829] = {[3] = 7,[4] = 3454},
		[3835] = {[3] = 5,[4] = 3501},
		[3836] = {[3] = 5,[4] = 3502},
		[3837] = {[3] = 5,[4] = 3503},
		[3840] = {[3] = 5,[4] = 3504},
		[3841] = {[3] = 5,[4] = 3505},
		[3842] = {[3] = 5,[4] = 3506},
		[3843] = {[3] = 5,[4] = 3507},
		[3844] = {[3] = 5,[4] = 3508},
		[3845] = {[3] = 5,[4] = 3511},
		[3846] = {[3] = 5,[4] = 3513},
		[3847] = {[3] = 5,[4] = 3515},
		[3848] = {[3] = 5,[4] = 3491},
		[3849] = {[3] = 5,[4] = 3492},
		[3850] = {[3] = 5,[4] = 3493},
		[3851] = {[3] = 5,[4] = 3494},
		[3852] = {[3] = 5,[4] = 3495},
		[3853] = {[3] = 5,[4] = 3496},
		[3854] = {[3] = 5,[4] = 3497},
		[3855] = {[3] = 5,[4] = 3498},
		[3856] = {[3] = 5,[4] = 3500},
		[3859] = {[3] = 10,[4] = 3569},
		[3860] = {[3] = 10,[4] = 10097},
		[3928] = {[3] = 7,[4] = 11457},
		[4231] = {[3] = 6,[4] = 3816},
		[4233] = {[3] = 6,[4] = 3817},
		[4234] = {[3] = 6,[4] = 20649},
		[4236] = {[3] = 6,[4] = 3818},
		[4237] = {[3] = 6,[4] = 3753},
		[4238] = {[3] = 11,[4] = 3755},
		[4239] = {[3] = 6,[4] = 3756},
		[4240] = {[3] = 11,[4] = 3757},
		[4241] = {[3] = 11,[4] = 3758},
		[4242] = {[3] = 6,[4] = 3759},
		[4243] = {[3] = 6,[4] = 3761},
		[4244] = {[3] = 6,[4] = 3762},
		[4245] = {[3] = 11,[4] = 3813},
		[4246] = {[3] = 6,[4] = 3763},
		[4247] = {[3] = 6,[4] = 3764},
		[4248] = {[3] = 6,[4] = 3765},
		[4249] = {[3] = 6,[4] = 3766},
		[4250] = {[3] = 6,[4] = 3767},
		[4251] = {[3] = 6,[4] = 3768},
		[4252] = {[3] = 6,[4] = 3769},
		[4253] = {[3] = 6,[4] = 3770},
		[4254] = {[3] = 6,[4] = 3771},
		[4255] = {[3] = 6,[4] = 3772},
		[4256] = {[3] = 6,[4] = 3773},
		[4257] = {[3] = 6,[4] = 3774},
		[4258] = {[3] = 6,[4] = 3775},
		[4259] = {[3] = 6,[4] = 3776},
		[4260] = {[3] = 6,[4] = 3777},
		[4262] = {[3] = 6,[4] = 3778},
		[4264] = {[3] = 6,[4] = 3779},
		[4265] = {[3] = 6,[4] = 3780},
		[4304] = {[3] = 6,[4] = 20650},
		[4305] = {[3] = 11,[4] = 3839},
		[4307] = {[3] = 11,[4] = 3840},
		[4308] = {[3] = 11,[4] = 3841},
		[4309] = {[3] = 11,[4] = 3842},
		[4310] = {[3] = 11,[4] = 3843},
		[4311] = {[3] = 11,[4] = 3844},
		[4312] = {[3] = 11,[4] = 3845},
		[4313] = {[3] = 11,[4] = 3847},
		[4314] = {[3] = 11,[4] = 3848},
		[4315] = {[3] = 11,[4] = 3849},
		[4316] = {[3] = 11,[4] = 3850},
		[4317] = {[3] = 11,[4] = 3851},
		[4318] = {[3] = 11,[4] = 3852},
		[4319] = {[3] = 11,[4] = 3854},
		[4320] = {[3] = 11,[4] = 3855},
		[4321] = {[3] = 11,[4] = 3856},
		[4322] = {[3] = 11,[4] = 3857},
		[4323] = {[3] = 11,[4] = 3858},
		[4324] = {[3] = 11,[4] = 3859},
		[4325] = {[3] = 11,[4] = 3860},
		[4326] = {[3] = 11,[4] = 3861},
		[4327] = {[3] = 11,[4] = 3862},
		[4328] = {[3] = 11,[4] = 3863},
		[4329] = {[3] = 11,[4] = 3864},
		[4330] = {[3] = 11,[4] = 3866},
		[4331] = {[3] = 11,[4] = 3868},
		[4332] = {[3] = 11,[4] = 3869},
		[4333] = {[3] = 11,[4] = 3870},
		[4334] = {[3] = 11,[4] = 3871},
		[4335] = {[3] = 11,[4] = 3872},
		[4336] = {[3] = 11,[4] = 3873},
		[4339] = {[3] = 11,[4] = 3865},
		[4343] = {[3] = 11,[4] = 3914},
		[4344] = {[3] = 11,[4] = 3915},
		[4357] = {[3] = 12,[4] = 3918},
		[4358] = {[3] = 12,[4] = 3919},
		[4359] = {[3] = 12,[4] = 3922},
		[4360] = {[3] = 12,[4] = 3923},
		[4361] = {[3] = 12,[4] = 3924},
		[4362] = {[3] = 12,[4] = 3925},
		[4363] = {[3] = 12,[4] = 3926},
		[4364] = {[3] = 12,[4] = 3929},
		[4365] = {[3] = 12,[4] = 3931},
		[4366] = {[3] = 12,[4] = 3932},
		[4367] = {[3] = 12,[4] = 3933},
		[4368] = {[3] = 12,[4] = 3934},
		[4369] = {[3] = 12,[4] = 3936},
		[4370] = {[3] = 12,[4] = 3937},
		[4371] = {[3] = 12,[4] = 3938},
		[4372] = {[3] = 12,[4] = 3939},
		[4373] = {[3] = 12,[4] = 3940},
		[4374] = {[3] = 12,[4] = 3941},
		[4375] = {[3] = 12,[4] = 3942},
		[4376] = {[3] = 12,[4] = 3944},
		[4377] = {[3] = 12,[4] = 3945},
		[4378] = {[3] = 12,[4] = 3946},
		[4379] = {[3] = 12,[4] = 3949},
		[4380] = {[3] = 12,[4] = 3950},
		[4381] = {[3] = 12,[4] = 3952},
		[4382] = {[3] = 12,[4] = 3953},
		[4383] = {[3] = 12,[4] = 3954},
		[4384] = {[3] = 12,[4] = 3955},
		[4385] = {[3] = 12,[4] = 3956},
		[4386] = {[3] = 12,[4] = 3957},
		[4387] = {[3] = 12,[4] = 3958},
		[4388] = {[3] = 12,[4] = 3959},
		[4389] = {[3] = 12,[4] = 3961},
		[4390] = {[3] = 12,[4] = 3962},
		[4391] = {[3] = 12,[4] = 3963},
		[4392] = {[3] = 12,[4] = 3965},
		[4393] = {[3] = 12,[4] = 3966},
		[4394] = {[3] = 12,[4] = 3967},
		[4395] = {[3] = 12,[4] = 3968},
		[4396] = {[3] = 12,[4] = 3969},
		[4397] = {[3] = 12,[4] = 3971},
		[4398] = {[3] = 12,[4] = 3972},
		[4401] = {[3] = 12,[4] = 3928},
		[4403] = {[3] = 12,[4] = 3960},
		[4404] = {[3] = 12,[4] = 3973},
		[4405] = {[3] = 12,[4] = 3977},
		[4406] = {[3] = 12,[4] = 3978},
		[4407] = {[3] = 12,[4] = 3979},
		[4411] = {7,7,1},
		[4413] = {7,7,1},
		[4415] = {7,7,1},
		[4438] = {8,9,1},
		[4455] = {[3] = 6,[4] = 4096},
		[4456] = {[3] = 6,[4] = 4097},
		[4457] = {[3] = 9,[4] = 4094},
		[4534] = 6283,
		[4592] = {[3] = 9,[4] = 7753},
		[4593] = {[3] = 9,[4] = 7755},
		[4594] = {[3] = 9,[4] = 7828},
		[4596] = {[3] = 7,[4] = 4508},
		[4623] = {[3] = 7,[4] = 4942},
		[4852] = {[3] = 12,[4] = 8243},
		[5081] = {[3] = 6,[4] = 5244},
		[5095] = {[3] = 9,[4] = 7827},
		[5187] = {3,1,1},
		[5191] = {3,8,1},
		[5192] = {3,6,1},
		[5193] = {3,8,1},
		[5194] = {3,3,1},
		[5195] = {3,3,1},
		[5196] = {3,6,1},
		[5197] = {3,9,1},
		[5198] = {3,9,1},
		[5199] = {3,5,1},
		[5200] = {3,7,1},
		[5201] = {3,7,1},
		[5202] = {3,8,1},
		[5237] = {[3] = 16,[4] = 5763},
		[5243] = {2,9,1},
		[5254] = {4,1,1},
		[5397] = {3,10,1},
		[5404] = {2,2,1},
		[5443] = {3,2,1},
		[5444] = {3,2,1},
		[5472] = {[3] = 9,[4] = 6412},
		[5473] = {[3] = 9,[4] = 6413},
		[5474] = {[3] = 9,[4] = 6414},
		[5476] = {[3] = 9,[4] = 6415},
		[5477] = {[3] = 9,[4] = 6416},
		[5478] = {[3] = 9,[4] = 6417},
		[5479] = {[3] = 9,[4] = 6418},
		[5480] = {[3] = 9,[4] = 6419},
		[5507] = {[3] = 12,[4] = 6458},
		[5525] = {[3] = 9,[4] = 6499},
		[5526] = {[3] = 9,[4] = 6501},
		[5527] = {[3] = 9,[4] = 6500},
		[5530] = {[3] = 16,[4] = 6510},
		[5540] = {[3] = 5,[4] = 6517},
		[5541] = {[3] = 5,[4] = 6518},
		[5542] = {[3] = 11,[4] = 6521},
		[5616] = {15,14,1},
		[5631] = {[3] = 7,[4] = 6617},
		[5632] = {[3] = 7,[4] = 6619},
		[5633] = {[3] = 7,[4] = 6618},
		[5634] = {[3] = 7,[4] = 6624},
		[5739] = {[3] = 6,[4] = 6661},
		[5756] = {{10,3,1},{11,2,1},{12,4,1}},
		[5762] = {[3] = 11,[4] = 6686},
		[5763] = {[3] = 11,[4] = 6688},
		[5764] = {[3] = 11,[4] = 6693},
		[5765] = {[3] = 11,[4] = 6695},
		[5766] = {[3] = 11,[4] = 6690},
		[5770] = {[3] = 11,[4] = 6692},
		[5780] = {[3] = 6,[4] = 6702},
		[5781] = {[3] = 6,[4] = 6703},
		[5782] = {[3] = 6,[4] = 6704},
		[5783] = {[3] = 6,[4] = 6705},
		[5819] = {{9,6,1},{10,3,1},{11,2,1},{12,4,1}},
		[5824] = {14,15,1},
		[5943] = {4,9,1},
		[5957] = {[3] = 6,[4] = 7126},
		[5958] = {[3] = 6,[4] = 7133},
		[5961] = {[3] = 6,[4] = 7135},
		[5962] = {[3] = 6,[4] = 7147},
		[5963] = {[3] = 6,[4] = 7149},
		[5964] = {[3] = 6,[4] = 7151},
		[5965] = {[3] = 6,[4] = 7153},
		[5966] = {[3] = 6,[4] = 7156},
		[5970] = {2,6,1},
		[5996] = {[3] = 7,[4] = 7179},
		[5997] = {[3] = 7,[4] = 7183},
		[6037] = {[3] = 7,[4] = 11480},
		[6038] = {[3] = 9,[4] = 7213},
		[6040] = {[3] = 5,[4] = 7223},
		[6041] = {[3] = 5,[4] = 7224},
		[6042] = {[3] = 5,[4] = 7221},
		[6043] = {[3] = 5,[4] = 7222},
		[6048] = {[3] = 7,[4] = 7256},
		[6049] = {[3] = 7,[4] = 7257},
		[6050] = {[3] = 7,[4] = 7258},
		[6051] = {[3] = 7,[4] = 7255},
		[6052] = {[3] = 7,[4] = 7259},
		[6149] = {[3] = 7,[4] = 11448},
		[6214] = {[3] = 5,[4] = 7408},
		[6218] = {[3] = 13,[4] = 7421},
		[6219] = {[3] = 12,[4] = 7430},
		[6220] = {4,12,1},
		[6226] = {4,3,1},
		[6238] = {[3] = 11,[4] = 7623},
		[6239] = {[3] = 11,[4] = 7629},
		[6240] = {[3] = 11,[4] = 7630},
		[6241] = {[3] = 11,[4] = 7624},
		[6242] = {[3] = 11,[4] = 7633},
		[6243] = {[3] = 11,[4] = 7636},
		[6263] = {[3] = 11,[4] = 7639},
		[6264] = {[3] = 11,[4] = 7643},
		[6283] = {4,15,1},
		[6290] = {[3] = 9,[4] = 7751},
		[6314] = {4,11,1},
		[6316] = {[3] = 9,[4] = 7754},
		[6318] = {4,7,1},
		[6319] = {4,7,1},
		[6320] = {4,5,1},
		[6321] = {4,4,1},
		[6323] = {4,4,1},
		[6324] = {4,12,1},
		[6335] = 6283,
		[6338] = {[3] = 5,[4] = 7818},
		[6339] = {[3] = 13,[4] = 7795},
		[6340] = {4,10,1},
		[6341] = {4,2,1},
		[6350] = {[3] = 5,[4] = 7817},
		[6370] = {[3] = 7,[4] = 7836},
		[6371] = {[3] = 7,[4] = 7837},
		[6372] = {[3] = 7,[4] = 7841},
		[6373] = {[3] = 7,[4] = 7845},
		[6384] = {[3] = 11,[4] = 7892},
		[6385] = {[3] = 11,[4] = 7893},
		[6392] = {4,12,1},
		[6440] = {15,14,1},
		[6446] = {2,2,1},
		[6447] = {2,3,1},
		[6448] = {2,5,1},
		[6449] = {2,5,1},
		[6450] = {[3] = 4,[4] = 7928},
		[6451] = {[3] = 4,[4] = 7929},
		[6452] = {[3] = 4,[4] = 7934},
		[6453] = {[3] = 4,[4] = 7935},
		[6459] = {2,6,1},
		[6460] = {2,1,1},
		[6461] = {2,8,1},
		[6463] = {2,8,1},
		[6465] = {2,1,1},
		[6466] = {[3] = 6,[4] = 7953},
		[6467] = {[3] = 6,[4] = 7954},
		[6468] = {[3] = 6,[4] = 7955},
		[6469] = {2,6,1},
		[6472] = {2,4,1},
		[6473] = {2,4,1},
		[6533] = {[3] = 12,[4] = 9271},
		[6627] = {2,8,1},
		[6629] = {2,7,1},
		[6630] = {2,7,1},
		[6631] = {2,7,1},
		[6632] = {2,9,1},
		[6633] = {4,3,1},
		[6641] = {4,8,1},
		[6642] = {4,8,1},
		[6657] = {[3] = 9,[4] = 8238},
		[6662] = {[3] = 7,[4] = 8240},
		[6679] = {8,4,1},
		[6681] = {8,1,1},
		[6682] = {8,2,1},
		[6685] = {8,2,1},
		[6686] = {8,3,1},
		[6687] = {8,3,1},
		[6688] = {8,8,1},
		[6689] = {8,8,1},
		[6690] = {8,5,1},
		[6691] = {8,5,1},
		[6692] = {8,7,1},
		[6693] = {8,7,1},
		[6694] = {8,7,1},
		[6695] = {8,6,1},
		[6696] = {8,6,1},
		[6697] = {8,6,1},
		[6709] = {[3] = 6,[4] = 8322},
		[6712] = {[3] = 12,[4] = 8334},
		[6714] = {[3] = 12,[4] = 8339},
		[6730] = {[3] = 5,[4] = 8366},
		[6731] = {[3] = 5,[4] = 8367},
		[6733] = {[3] = 5,[4] = 8368},
		[6786] = {[3] = 11,[4] = 8465},
		[6787] = {[3] = 11,[4] = 8467},
		[6795] = {[3] = 11,[4] = 8483},
		[6796] = {[3] = 11,[4] = 8489},
		[6887] = {[3] = 9,[4] = 18238},
		[6888] = {[3] = 9,[4] = 8604},
		[6890] = {[3] = 9,[4] = 8607},
		[6893] = {7,4,1},
		[6895] = {4,14,1},
		[6901] = {5,6,1},
		[6902] = {5,6,1},
		[6903] = {5,5,1},
		[6904] = {5,6,1},
		[6905] = {5,3,1},
		[6906] = {5,3,1},
		[6907] = {5,1,1},
		[6908] = {5,1,1},
		[6909] = {5,7,1},
		[6910] = {5,7,1},
		[6911] = {5,7,1},
		[6947] = {[3] = 16,[4] = 8681},
		[6949] = {[3] = 16,[4] = 8687},
		[6950] = {[3] = 16,[4] = 8691},
		[6951] = {[3] = 16,[4] = 8694},
		[7026] = {[3] = 11,[4] = 8776},
		[7027] = {[3] = 11,[4] = 8778},
		[7046] = {[3] = 11,[4] = 8758},
		[7047] = {[3] = 11,[4] = 8780},
		[7048] = {[3] = 11,[4] = 8760},
		[7049] = {[3] = 11,[4] = 8782},
		[7050] = {[3] = 11,[4] = 8762},
		[7051] = {[3] = 11,[4] = 8764},
		[7052] = {[3] = 11,[4] = 8766},
		[7053] = {[3] = 11,[4] = 8786},
		[7054] = {[3] = 11,[4] = 8770},
		[7055] = {[3] = 11,[4] = 8772},
		[7056] = {[3] = 11,[4] = 8789},
		[7057] = {[3] = 11,[4] = 8774},
		[7058] = {[3] = 11,[4] = 8791},
		[7059] = {[3] = 11,[4] = 8793},
		[7060] = {[3] = 11,[4] = 8795},
		[7061] = {[3] = 11,[4] = 8797},
		[7062] = {[3] = 11,[4] = 8799},
		[7063] = {[3] = 11,[4] = 8802},
		[7064] = {[3] = 11,[4] = 8804},
		[7065] = {[3] = 11,[4] = 8784},
		[7068] = {[3] = 7,[4] = 25146},
		[7071] = {[3] = 5,[4] = 8768},
		[7076] = {[3] = 7,[4] = 17560},
		[7078] = {[3] = 7,[4] = 17559},
		[7080] = {[3] = 7,[4] = 17563},
		[7082] = {[3] = 7,[4] = 17562},
		[7146] = {10,4,1},
		[7148] = {[3] = 12,[4] = 9273},
		[7166] = {[3] = 5,[4] = 8880},
		[7189] = {[3] = 12,[4] = 8895},
		[7191] = {7,8,1},
		[7230] = {3,6,1},
		[7276] = {[3] = 6,[4] = 9058},
		[7277] = {[3] = 6,[4] = 9059},
		[7278] = {[3] = 6,[4] = 9060},
		[7279] = {[3] = 6,[4] = 9062},
		[7280] = {[3] = 6,[4] = 9064},
		[7281] = {[3] = 6,[4] = 9065},
		[7282] = {[3] = 6,[4] = 9068},
		[7283] = {[3] = 6,[4] = 9070},
		[7284] = {[3] = 6,[4] = 9072},
		[7285] = {[3] = 6,[4] = 9074},
		[7348] = {[3] = 6,[4] = 9145},
		[7349] = {[3] = 6,[4] = 9146},
		[7352] = {[3] = 6,[4] = 9147},
		[7358] = {[3] = 6,[4] = 9148},
		[7359] = {[3] = 6,[4] = 9149},
		[7371] = {[3] = 6,[4] = 9193},
		[7372] = {[3] = 6,[4] = 9194},
		[7373] = {[3] = 6,[4] = 9195},
		[7374] = {[3] = 6,[4] = 9196},
		[7375] = {[3] = 6,[4] = 9197},
		[7377] = {[3] = 6,[4] = 9198},
		[7378] = {[3] = 6,[4] = 9201},
		[7386] = {[3] = 6,[4] = 9202},
		[7387] = {[3] = 6,[4] = 9206},
		[7390] = {[3] = 6,[4] = 9207},
		[7391] = {[3] = 6,[4] = 9208},
		[7506] = {[3] = 12,[4] = 9269},
		[7666] = {14,11,1},
		[7669] = {14,14,1},
		[7670] = {14,9,1},
		[7671] = {14,13,1},
		[7673] = 7666,
		[7676] = {[3] = 9,[4] = 9513},
		[7682] = {9,1,1},
		[7683] = {9,1,1},
		[7684] = {9,5,1},
		[7685] = {9,5,1},
		[7686] = {9,4,1},
		[7687] = {9,4,1},
		[7688] = {9,4,1},
		[7689] = {9,3,1},
		[7690] = {9,3,1},
		[7691] = {9,3,1},
		[7708] = {9,2,1},
		[7709] = {9,2,1},
		[7710] = {10,1,1},
		[7711] = {10,2,1},
		[7712] = {10,2,1},
		[7713] = {10,2,1},
		[7714] = {10,2,1},
		[7717] = {11,1,1},
		[7718] = {11,1,1},
		[7719] = {11,1,1},
		[7720] = {12,3,1},
		[7721] = {12,3,1},
		[7722] = {12,3,1},
		[7723] = {12,2,1},
		[7724] = {12,2,1},
		[7726] = {12,2,1},
		[7727] = {{9,6,1},{10,3,1},{11,2,1},{12,4,1}},
		[7728] = {{9,6,1},{10,3,1},{11,2,1},{12,4,1}},
		[7729] = {{9,6,1},{10,3,1},{11,2,1},{12,4,1}},
		[7730] = {{9,6,1},{10,3,1},{11,2,1},{12,4,1}},
		[7731] = {9,2,1},
		[7736] = {{10,3,1},{11,2,1},{12,4,1}},
		[7740] = {14,12,1},
		[7741] = {14,4,1},
		[7742] = {7,7,1},
		[7752] = {{9,6,1},{10,3,1},{11,2,1},{12,4,1}},
		[7753] = {{9,6,1},{10,3,1},{11,2,1},{12,4,1}},
		[7754] = {{9,6,1},{10,3,1},{11,2,1},{12,4,1}},
		[7755] = {{10,3,1},{11,2,1},{12,4,1}},
		[7756] = {10,1,1},
		[7757] = {{10,3,1},{11,2,1},{12,4,1}},
		[7758] = {{10,3,1},{12,4,1}},
		[7759] = {{10,3,1},{11,2,1},{12,4,1}},
		[7760] = {{10,3,1},{12,4,1}},
		[7761] = {{9,6,1},{10,3,1},{11,2,1},{12,4,1}},
		[7786] = {{9,6,1},{10,3,1},{11,2,1},{12,4,1}},
		[7787] = {{9,6,1},{10,3,1},{11,2,1},{12,4,1}},
		[7913] = {[3] = 5,[4] = 9811},
		[7914] = {[3] = 5,[4] = 9813},
		[7915] = {[3] = 5,[4] = 9814},
		[7916] = {[3] = 5,[4] = 9818},
		[7917] = {[3] = 5,[4] = 9820},
		[7918] = {[3] = 5,[4] = 9926},
		[7919] = {[3] = 5,[4] = 9928},
		[7920] = {[3] = 5,[4] = 9931},
		[7921] = {[3] = 5,[4] = 9933},
		[7922] = {[3] = 5,[4] = 9935},
		[7924] = {[3] = 5,[4] = 9937},
		[7925] = {[3] = 5,[4] = 9942},
		[7926] = {[3] = 5,[4] = 9945},
		[7927] = {[3] = 5,[4] = 9950},
		[7928] = {[3] = 5,[4] = 9952},
		[7929] = {[3] = 5,[4] = 9957},
		[7930] = {[3] = 5,[4] = 9959},
		[7931] = {[3] = 5,[4] = 9961},
		[7932] = {[3] = 5,[4] = 9966},
		[7933] = {[3] = 5,[4] = 9968},
		[7934] = {[3] = 5,[4] = 9970},
		[7935] = {[3] = 5,[4] = 9972},
		[7936] = {[3] = 5,[4] = 9979},
		[7937] = {[3] = 5,[4] = 9980},
		[7938] = {[3] = 5,[4] = 9954},
		[7939] = {[3] = 5,[4] = 9974},
		[7941] = {[3] = 5,[4] = 9993},
		[7942] = {[3] = 5,[4] = 9995},
		[7943] = {[3] = 5,[4] = 9997},
		[7944] = {[3] = 5,[4] = 10005},
		[7945] = {[3] = 5,[4] = 10001},
		[7946] = {[3] = 5,[4] = 10009},
		[7947] = {[3] = 5,[4] = 10013},
		[7954] = {[3] = 5,[4] = 10003},
		[7955] = {[3] = 5,[4] = 9983},
		[7956] = {[3] = 5,[4] = 9985},
		[7957] = {[3] = 5,[4] = 9986},
		[7958] = {[3] = 5,[4] = 9987},
		[7959] = {[3] = 5,[4] = 10011},
		[7960] = {[3] = 5,[4] = 10015},
		[7961] = {[3] = 5,[4] = 10007},
		[7963] = {[3] = 5,[4] = 9916},
		[7964] = {[3] = 5,[4] = 9918},
		[7965] = {[3] = 5,[4] = 9921},
		[7966] = {[3] = 5,[4] = 9920},
		[7967] = {[3] = 5,[4] = 9939},
		[7969] = {[3] = 5,[4] = 9964},
		[8053] = {14,6,1},
		[8067] = {[3] = 12,[4] = 3920},
		[8068] = {[3] = 12,[4] = 3930},
		[8069] = {[3] = 12,[4] = 3947},
		[8170] = {[3] = 6,[4] = 22331},
		[8172] = {[3] = 6,[4] = 10482},
		[8173] = {[3] = 6,[4] = 10487},
		[8174] = {[3] = 6,[4] = 10490},
		[8175] = {[3] = 6,[4] = 10499},
		[8176] = {[3] = 6,[4] = 10507},
		[8185] = {[3] = 6,[4] = 10556},
		[8187] = {[3] = 6,[4] = 10509},
		[8189] = {[3] = 6,[4] = 10511},
		[8191] = {[3] = 6,[4] = 10552},
		[8192] = {[3] = 6,[4] = 10516},
		[8193] = {[3] = 6,[4] = 10548},
		[8195] = {[3] = 6,[4] = 10550},
		[8197] = {[3] = 6,[4] = 10558},
		[8198] = {[3] = 6,[4] = 10518},
		[8200] = {[3] = 6,[4] = 10520},
		[8201] = {[3] = 6,[4] = 10531},
		[8202] = {[3] = 6,[4] = 10560},
		[8203] = {[3] = 6,[4] = 10525},
		[8204] = {[3] = 6,[4] = 10542},
		[8205] = {[3] = 6,[4] = 10533},
		[8206] = {[3] = 6,[4] = 10568},
		[8207] = {[3] = 6,[4] = 10564},
		[8208] = {[3] = 6,[4] = 10570},
		[8209] = {[3] = 6,[4] = 10554},
		[8210] = {[3] = 6,[4] = 10529},
		[8211] = {[3] = 6,[4] = 10544},
		[8212] = {[3] = 6,[4] = 10572},
		[8213] = {[3] = 6,[4] = 10566},
		[8214] = {[3] = 6,[4] = 10546},
		[8215] = {[3] = 6,[4] = 10574},
		[8216] = {[3] = 6,[4] = 10562},
		[8217] = {[3] = 6,[4] = 14930},
		[8218] = {[3] = 6,[4] = 14932},
		[8225] = {{10,3,1},{11,2,1},{12,4,1}},
		[8226] = {{9,6,1},{10,3,1},{11,2,1},{12,4,1}},
		[8345] = {[3] = 6,[4] = 10621},
		[8346] = {[3] = 6,[4] = 10630},
		[8347] = {[3] = 6,[4] = 10619},
		[8348] = {[3] = 6,[4] = 10632},
		[8349] = {[3] = 6,[4] = 10647},
		[8364] = {[3] = 9,[4] = 20916},
		[8367] = {[3] = 6,[4] = 10650},
		[8444] = {15,8,1},
		[8490] = {3,9,1},
		[8492] = {3,11,1},
		[8544] = {[3] = 4,[4] = 10840},
		[8545] = {[3] = 4,[4] = 10841},
		[8548] = {15,9,1},
		[8827] = {[3] = 7,[4] = 11447},
		[8926] = {[3] = 16,[4] = 11341},
		[8927] = {[3] = 16,[4] = 11342},
		[8928] = {[3] = 16,[4] = 11343},
		[8949] = {[3] = 7,[4] = 11449},
		[8951] = {[3] = 7,[4] = 11450},
		[8956] = {[3] = 7,[4] = 11451},
		[8984] = {[3] = 16,[4] = 11357},
		[8985] = {[3] = 16,[4] = 11358},
		[9030] = {[3] = 7,[4] = 11452},
		[9036] = {[3] = 7,[4] = 11453},
		[9060] = {[3] = 5,[4] = 11454},
		[9061] = {[3] = 7,[4] = 11456},
		[9088] = {[3] = 7,[4] = 11466},
		[9144] = {[3] = 7,[4] = 11458},
		[9149] = {[3] = 7,[4] = 11459},
		[9154] = {[3] = 7,[4] = 11460},
		[9155] = {[3] = 7,[4] = 11461},
		[9172] = {[3] = 7,[4] = 11464},
		[9179] = {[3] = 7,[4] = 11465},
		[9186] = {[3] = 16,[4] = 11400},
		[9187] = {[3] = 7,[4] = 11467},
		[9197] = {[3] = 7,[4] = 11468},
		[9206] = {[3] = 7,[4] = 11472},
		[9210] = {[3] = 7,[4] = 11473},
		[9214] = {19,17,1},
		[9224] = {[3] = 7,[4] = 11477},
		[9233] = {[3] = 7,[4] = 11478},
		[9234] = {15,10,1},
		[9243] = {15,14,1},
		[9260] = {23,2,1},
		[9264] = {[3] = 7,[4] = 11476},
		[9279] = {7,8,1},
		[9280] = {7,8,1},
		[9281] = {7,8,1},
		[9282] = {7,8,1},
		[9308] = {7,8,1},
		[9312] = {[3] = 12,[4] = 23067},
		[9313] = {[3] = 12,[4] = 23068},
		[9316] = {7,8,1},
		[9318] = {[3] = 12,[4] = 23066},
		[9326] = {7,8,1},
		[9327] = {7,8,1},
		[9366] = {[3] = 5,[4] = 11643},
		[9379] = {15,1,1},
		[9381] = {14,11,1},
		[9383] = {14,11,1},
		[9384] = {14,11,1},
		[9386] = {14,11,1},
		[9387] = {14,4,1},
		[9388] = {14,4,1},
		[9389] = {14,4,1},
		[9390] = {14,4,1},
		[9391] = {14,11,1},
		[9392] = {14,11,1},
		[9393] = {14,11,1},
		[9394] = {14,1,1},
		[9396] = {14,11,1},
		[9397] = {14,11,1},
		[9398] = {14,1,1},
		[9399] = {14,2,1},
		[9400] = {14,2,1},
		[9401] = {14,2,1},
		[9403] = {14,3,1},
		[9404] = {14,3,1},
		[9406] = {14,11,1},
		[9407] = {14,5,1},
		[9408] = {14,5,1},
		[9409] = {14,5,1},
		[9410] = {14,7,1},
		[9411] = {14,7,1},
		[9412] = {14,8,1},
		[9413] = {14,10,1},
		[9414] = {14,9,1},
		[9415] = {14,9,1},
		[9416] = {14,9,1},
		[9418] = {14,10,1},
		[9419] = {14,8,1},
		[9420] = {14,11,1},
		[9422] = {14,11,1},
		[9423] = {14,11,1},
		[9424] = {14,11,1},
		[9425] = {14,11,1},
		[9426] = {14,11,1},
		[9427] = {14,11,1},
		[9428] = {14,11,1},
		[9429] = {14,11,1},
		[9430] = {14,11,1},
		[9431] = {14,11,1},
		[9432] = {14,11,1},
		[9444] = {7,1,1},
		[9445] = {7,2,1},
		[9446] = {7,4,1},
		[9447] = {7,4,1},
		[9448] = {7,4,1},
		[9449] = {7,5,1},
		[9450] = {7,5,1},
		[9452] = {7,3,1},
		[9453] = {7,3,1},
		[9454] = {7,3,1},
		[9455] = {7,6,1},
		[9456] = {7,6,1},
		[9457] = {7,6,1},
		[9458] = {7,7,1},
		[9459] = {7,7,1},
		[9461] = {7,7,1},
		[9465] = {14,11,1},
		[9467] = {15,11,1},
		[9469] = {15,11,1},
		[9470] = {15,6,1},
		[9471] = {15,5,1},
		[9473] = {15,6,1},
		[9474] = {15,6,1},
		[9475] = {15,6,1},
		[9476] = {15,12,1},
		[9477] = {15,12,1},
		[9478] = {15,12,1},
		[9479] = {15,12,1},
		[9480] = {15,14,1},
		[9481] = {15,14,1},
		[9482] = {15,14,1},
		[9483] = {15,14,1},
		[9484] = {15,14,1},
		[9485] = {7,8,1},
		[9486] = {7,8,1},
		[9487] = {7,8,1},
		[9488] = {7,8,1},
		[9489] = {7,8,1},
		[9490] = {7,8,1},
		[9491] = {7,8,1},
		[9492] = {7,7,1},
		[9508] = {7,8,1},
		[9509] = {7,8,1},
		[9510] = {7,8,1},
		[9511] = {15,14,1},
		[9512] = {15,14,1},
		[9588] = 9326,
		[9639] = {15,1,1},
		[9640] = {15,1,1},
		[9641] = {15,1,1},
		[9998] = {[3] = 11,[4] = 12048},
		[9999] = {[3] = 11,[4] = 12049},
		[10001] = {[3] = 11,[4] = 12050},
		[10002] = {[3] = 11,[4] = 12052},
		[10003] = {[3] = 11,[4] = 12053},
		[10004] = {[3] = 11,[4] = 12055},
		[10007] = {[3] = 11,[4] = 12056},
		[10008] = {[3] = 11,[4] = 12059},
		[10009] = {[3] = 11,[4] = 12060},
		[10010] = {[3] = 11,[4] = 12062},
		[10011] = {[3] = 11,[4] = 12063},
		[10018] = {[3] = 11,[4] = 12066},
		[10019] = {[3] = 11,[4] = 12067},
		[10020] = {[3] = 11,[4] = 12068},
		[10021] = {[3] = 11,[4] = 12070},
		[10023] = {[3] = 11,[4] = 12071},
		[10024] = {[3] = 11,[4] = 12072},
		[10025] = {[3] = 11,[4] = 12086},
		[10026] = {[3] = 11,[4] = 12073},
		[10027] = {[3] = 11,[4] = 12074},
		[10028] = {[3] = 11,[4] = 12076},
		[10029] = {[3] = 11,[4] = 12078},
		[10030] = {[3] = 11,[4] = 12081},
		[10031] = {[3] = 11,[4] = 12082},
		[10032] = {[3] = 11,[4] = 12083},
		[10033] = {[3] = 11,[4] = 12084},
		[10034] = {[3] = 11,[4] = 12085},
		[10035] = {[3] = 11,[4] = 12089},
		[10036] = {[3] = 11,[4] = 12093},
		[10038] = {[3] = 11,[4] = 12087},
		[10039] = {[3] = 11,[4] = 12090},
		[10040] = {[3] = 11,[4] = 12091},
		[10041] = {[3] = 11,[4] = 12092},
		[10042] = {[3] = 11,[4] = 12069},
		[10044] = {[3] = 11,[4] = 12088},
		[10045] = {[3] = 11,[4] = 12044},
		[10046] = {[3] = 11,[4] = 12045},
		[10047] = {[3] = 11,[4] = 12046},
		[10048] = {[3] = 11,[4] = 12047},
		[10050] = {[3] = 11,[4] = 12065},
		[10051] = {[3] = 11,[4] = 12079},
		[10052] = {[3] = 11,[4] = 12064},
		[10053] = {[3] = 11,[4] = 12077},
		[10054] = {[3] = 11,[4] = 12075},
		[10055] = {[3] = 11,[4] = 12080},
		[10056] = {[3] = 11,[4] = 12061},
		[10328] = {12,4,1},
		[10329] = {{11,2,1},{12,4,1}},
		[10330] = {{11,1,1},{12,2,1}},
		[10331] = {12,4,1},
		[10332] = {{9,6,1},{10,3,1},{11,2,1},{12,4,1}},
		[10333] = {11,2,1},
		[10399] = {3,8,1},
		[10403] = {3,7,1},
		[10410] = {2,1,1},
		[10411] = {2,6,1},
		[10412] = {2,2,1},
		[10413] = {2,10,1},
		[10421] = {[3] = 5,[4] = 12260},
		[10423] = {[3] = 5,[4] = 12259},
		[10441] = {2,8,1},
		[10454] = {17,11,1},
		[10455] = 10454,
		[10498] = {[3] = 12,[4] = 12590},
		[10499] = {[3] = 12,[4] = 12587},
		[10500] = {[3] = 12,[4] = 12594},
		[10501] = {[3] = 12,[4] = 12607},
		[10502] = {[3] = 12,[4] = 12615},
		[10503] = {[3] = 12,[4] = 12618},
		[10504] = {[3] = 12,[4] = 12622},
		[10505] = {[3] = 12,[4] = 12585},
		[10506] = {[3] = 12,[4] = 12617},
		[10507] = {[3] = 12,[4] = 12586},
		[10508] = {[3] = 12,[4] = 12595},
		[10510] = {[3] = 12,[4] = 12614},
		[10512] = {[3] = 12,[4] = 12596},
		[10513] = {[3] = 12,[4] = 12621},
		[10514] = {[3] = 12,[4] = 12603},
		[10518] = {[3] = 12,[4] = 12616},
		[10542] = {[3] = 12,[4] = 12717},
		[10543] = {[3] = 12,[4] = 12718},
		[10545] = {[3] = 12,[4] = 12897},
		[10546] = {[3] = 12,[4] = 12597},
		[10548] = {[3] = 12,[4] = 12620},
		[10558] = {[3] = 12,[4] = 12584},
		[10559] = {[3] = 12,[4] = 12589},
		[10560] = {[3] = 12,[4] = 12591},
		[10561] = {[3] = 12,[4] = 12599},
		[10562] = {[3] = 12,[4] = 12619},
		[10567] = {13,7,1},
		[10570] = {13,7,1},
		[10571] = {13,7,1},
		[10572] = {13,7,1},
		[10573] = {13,7,1},
		[10574] = {13,7,1},
		[10576] = {[3] = 12,[4] = 12624},
		[10577] = {[3] = 12,[4] = 13240},
		[10578] = {13,7,1},
		[10579] = {[3] = 12,[4] = 12719},
		[10580] = {[3] = 12,[4] = 12720},
		[10581] = {13,7,1},
		[10582] = {13,7,1},
		[10583] = {13,7,1},
		[10584] = {13,7,1},
		[10585] = {[3] = 12,[4] = 12722},
		[10586] = {[3] = 12,[4] = 12754},
		[10587] = {[3] = 12,[4] = 12755},
		[10588] = {[3] = 12,[4] = 12758},
		[10592] = {[3] = 7,[4] = 12609},
		[10623] = {17,12,1},
		[10624] = {17,12,1},
		[10625] = {17,12,1},
		[10626] = {17,12,1},
		[10627] = {17,12,1},
		[10628] = {17,12,1},
		[10629] = {17,12,1},
		[10630] = {17,12,1},
		[10631] = {17,12,1},
		[10632] = {17,12,1},
		[10633] = {17,12,1},
		[10634] = {17,12,1},
		[10644] = {[3] = 12,[4] = 12715},
		[10645] = {[3] = 12,[4] = 12759},
		[10646] = {[3] = 12,[4] = 12760},
		[10657] = 10441,
		[10658] = 10441,
		[10660] = {15,2,1},
		[10661] = {15,10,1},
		[10713] = {[3] = 12,[4] = 12895},
		[10716] = {[3] = 12,[4] = 12899},
		[10719] = {[3] = 12,[4] = 12900},
		[10720] = {[3] = 12,[4] = 12902},
		[10721] = {[3] = 12,[4] = 12903},
		[10723] = {[3] = 12,[4] = 12904},
		[10724] = {[3] = 12,[4] = 12905},
		[10725] = {[3] = 12,[4] = 12906},
		[10726] = {[3] = 12,[4] = 12907},
		[10727] = {[3] = 12,[4] = 12908},
		[10758] = {13,4,1},
		[10760] = {13,6,1},
		[10761] = {13,5,1},
		[10762] = {13,5,1},
		[10763] = {13,5,1},
		[10764] = {13,5,1},
		[10765] = {13,5,1},
		[10766] = {13,6,1},
		[10767] = {13,4,1},
		[10768] = {13,4,1},
		[10769] = {13,2,1},
		[10770] = {13,2,1},
		[10771] = {13,2,1},
		[10772] = {13,3,1},
		[10774] = {13,3,1},
		[10775] = {13,1,1},
		[10776] = {13,1,1},
		[10777] = {13,1,1},
		[10780] = {17,12,1},
		[10781] = {17,12,1},
		[10782] = {17,12,1},
		[10783] = {17,1,1},
		[10784] = {17,1,1},
		[10785] = {17,1,1},
		[10786] = {17,1,1},
		[10787] = {17,1,1},
		[10788] = {17,1,1},
		[10795] = {{17,7,1},{17,8,1},{17,9,1},{17,10,1}},
		[10796] = {{17,7,1},{17,8,1},{17,9,1},{17,10,1}},
		[10797] = {{17,7,1},{17,8,1},{17,9,1},{17,10,1}},
		[10798] = {17,2,1},
		[10799] = {17,2,1},
		[10800] = {17,2,1},
		[10801] = {17,3,1},
		[10802] = {17,3,1},
		[10803] = {17,6,1},
		[10804] = {17,6,1},
		[10805] = {17,6,1},
		[10806] = {17,5,1},
		[10807] = {17,5,1},
		[10808] = {17,5,1},
		[10828] = {17,11,1},
		[10829] = {17,11,1},
		[10833] = {17,11,1},
		[10835] = {17,11,1},
		[10836] = {17,11,1},
		[10837] = {17,11,1},
		[10838] = {17,4,1},
		[10841] = {[3] = 9,[4] = 13028},
		[10842] = {17,4,1},
		[10843] = {17,4,1},
		[10844] = {17,4,1},
		[10845] = {17,4,1},
		[10846] = {17,4,1},
		[10847] = {17,11,1},
		[10918] = {[3] = 16,[4] = 13220},
		[10920] = {[3] = 16,[4] = 13228},
		[10921] = {[3] = 16,[4] = 13229},
		[10922] = {[3] = 16,[4] = 13230},
		[11086] = {15,12,1},
		[11118] = {14,10,1},
		[11121] = {5,2,1},
		[11128] = {[3] = 5,[4] = 14379},
		[11130] = {[3] = 13,[4] = 13628},
		[11140] = {18,2,1},
		[11144] = {[3] = 5,[4] = 14380},
		[11145] = {[3] = 13,[4] = 13702},
		[11197] = {18,11,1},
		[11207] = {18,10,1},
		[11287] = {[3] = 13,[4] = 14293},
		[11288] = {[3] = 13,[4] = 14807},
		[11289] = {[3] = 13,[4] = 14809},
		[11290] = {[3] = 13,[4] = 14810},
		[11310] = {14,8,1},
		[11311] = {14,8,1},
		[11325] = {18,20,1},
		[11371] = {[3] = 10,[4] = 14891},
		[11382] = {27,12,1},
		[11590] = {[3] = 12,[4] = 15255},
		[11602] = {18,20,1},
		[11604] = {[3] = 5,[4] = 15296},
		[11605] = {[3] = 5,[4] = 15295},
		[11606] = {[3] = 5,[4] = 15293},
		[11607] = {[3] = 5,[4] = 15294},
		[11608] = {[3] = 5,[4] = 15292},
		[11610] = {18,5,1},
		[11611] = {18,28,1},
		[11612] = {18,20,1},
		[11614] = {18,28,1},
		[11615] = {18,28,1},
		[11623] = {18,3,1},
		[11624] = {18,2,1},
		[11625] = {18,2,1},
		[11626] = {18,2,1},
		[11627] = {18,3,1},
		[11628] = {18,3,1},
		[11629] = {18,3,1},
		[11630] = {18,1,1},
		[11631] = {18,1,1},
		[11632] = {18,1,1},
		[11633] = {18,9,1},
		[11634] = {18,9,1},
		[11635] = {18,9,1},
		[11662] = {18,7,1},
		[11665] = {18,7,1},
		[11669] = {18,19,1},
		[11675] = {18,8,1},
		[11677] = {18,8,1},
		[11678] = {18,8,1},
		[11679] = {18,6,1},
		[11684] = {18,27,1},
		[11685] = {18,6,1},
		[11686] = {18,6,1},
		[11702] = {18,5,1},
		[11703] = {18,5,1},
		[11722] = {18,5,1},
		[11726] = {18,4,1},
		[11728] = {18,7,1},
		[11729] = {18,9,1},
		[11730] = {18,6,1},
		[11731] = {18,8,1},
		[11735] = {18,20,1},
		[11742] = {18,20,1},
		[11743] = {18,21,1},
		[11744] = {18,21,1},
		[11745] = {18,21,1},
		[11746] = {18,25,1},
		[11747] = {18,10,1},
		[11748] = {18,10,1},
		[11749] = {18,10,1},
		[11750] = {18,10,1},
		[11751] = {18,11,1},
		[11752] = {18,11,1},
		[11753] = {18,11,1},
		[11755] = {18,13,1},
		[11764] = {18,16,1},
		[11765] = {18,16,1},
		[11766] = {18,16,1},
		[11767] = {18,16,1},
		[11768] = {18,16,1},
		[11782] = {18,12,1},
		[11783] = {18,12,1},
		[11784] = {18,12,1},
		[11785] = {18,23,1},
		[11786] = {18,23,1},
		[11787] = {18,23,1},
		[11802] = {18,17,1},
		[11803] = {18,17,1},
		[11805] = {18,17,1},
		[11807] = {18,17,1},
		[11808] = {18,22,1},
		[11809] = {18,22,1},
		[11810] = {18,18,1},
		[11811] = {[3] = 13,[4] = 15596},
		[11812] = {18,22,1},
		[11813] = {18,1,1},
		[11814] = {18,22,1},
		[11815] = {18,27,1},
		[11816] = {18,18,1},
		[11817] = {18,18,1},
		[11819] = {18,19,1},
		[11820] = {18,18,1},
		[11821] = {18,18,1},
		[11822] = {18,19,1},
		[11823] = {18,19,1},
		[11824] = {18,7,1},
		[11825] = {[3] = 12,[4] = 15628},
		[11826] = {[3] = 12,[4] = 15633},
		[11832] = {18,22,1},
		[11839] = {18,15,1},
		[11840] = {18,15,1},
		[11841] = {{18,15,1},{18,18,1}},
		[11842] = {18,15,1},
		[11920] = {18,24,1},
		[11921] = {18,24,1},
		[11922] = {18,24,1},
		[11923] = {{18,11,1},{18,24,1}},
		[11924] = {18,27,1},
		[11925] = {18,24,1},
		[11926] = {18,24,1},
		[11927] = {18,24,1},
		[11928] = {18,27,1},
		[11929] = {18,24,1},
		[11930] = {18,27,1},
		[11931] = {18,27,1},
		[11932] = {18,27,1},
		[11933] = {18,27,1},
		[11934] = {18,27,1},
		[11935] = {18,25,1},
		[11945] = {18,11,1},
		[11946] = {18,11,1},
		[12033] = {18,27,1},
		[12103] = {25,11,1},
		[12190] = {[3] = 7,[4] = 15833},
		[12209] = {[3] = 9,[4] = 15853},
		[12210] = {[3] = 9,[4] = 15855},
		[12212] = {[3] = 9,[4] = 15861},
		[12213] = {[3] = 9,[4] = 15863},
		[12214] = {[3] = 9,[4] = 15865},
		[12215] = {[3] = 9,[4] = 15910},
		[12216] = {[3] = 9,[4] = 15915},
		[12217] = {[3] = 9,[4] = 15906},
		[12218] = {[3] = 9,[4] = 15933},
		[12219] = {19,17,1},
		[12224] = {[3] = 9,[4] = 15935},
		[12243] = {{17,7,1},{17,8,1},{17,9,1},{17,10,1}},
		[12259] = {[3] = 5,[4] = 15972},
		[12260] = {[3] = 5,[4] = 15973},
		[12335] = {19,7,1},
		[12336] = {19,3,1},
		[12337] = {19,16,1},
		[12358] = {20,10,1},
		[12359] = {[3] = 10,[4] = 16153},
		[12360] = {[3] = 7,[4] = 17187},
		[12382] = {25,12,1},
		[12404] = {[3] = 5,[4] = 16641},
		[12405] = {[3] = 5,[4] = 16642},
		[12406] = {[3] = 5,[4] = 16643},
		[12408] = {[3] = 5,[4] = 16644},
		[12409] = {[3] = 5,[4] = 16652},
		[12410] = {[3] = 5,[4] = 16653},
		[12414] = {[3] = 5,[4] = 16662},
		[12415] = {[3] = 5,[4] = 16648},
		[12416] = {[3] = 5,[4] = 16645},
		[12417] = {[3] = 5,[4] = 16659},
		[12418] = {[3] = 5,[4] = 16654},
		[12419] = {[3] = 5,[4] = 16656},
		[12420] = {[3] = 5,[4] = 16725},
		[12422] = {[3] = 5,[4] = 16663},
		[12424] = {[3] = 5,[4] = 16647},
		[12425] = {[3] = 5,[4] = 16649},
		[12426] = {[3] = 5,[4] = 16657},
		[12427] = {[3] = 5,[4] = 16658},
		[12428] = {[3] = 5,[4] = 16646},
		[12429] = {[3] = 5,[4] = 16730},
		[12462] = {17,4,1},
		[12463] = {{17,7,1},{17,8,1},{17,9,1},{17,10,1}},
		[12464] = {{17,7,1},{17,8,1},{17,9,1},{17,10,1}},
		[12465] = {{17,7,1},{17,8,1},{17,9,1},{17,10,1}},
		[12466] = {{17,7,1},{17,8,1},{17,9,1},{17,10,1}},
		[12470] = {15,13,1},
		[12471] = {15,7,1},
		[12527] = {18,28,1},
		[12528] = {18,28,1},
		[12531] = {18,28,1},
		[12532] = {18,28,1},
		[12534] = {19,3,1},
		[12535] = {18,28,1},
		[12542] = {18,28,1},
		[12546] = {18,28,1},
		[12547] = {18,28,1},
		[12549] = {18,28,1},
		[12550] = {18,28,1},
		[12551] = {18,28,1},
		[12552] = {18,28,1},
		[12553] = {18,26,1},
		[12554] = {18,26,1},
		[12555] = {18,28,1},
		[12556] = {18,26,1},
		[12557] = {18,26,1},
		[12582] = {19,7,1},
		[12583] = {20,6,1},
		[12586] = {19,17,1},
		[12587] = {20,6,1},
		[12588] = {20,6,1},
		[12589] = {20,2,1},
		[12590] = {20,6,1},
		[12592] = {20,8,1},
		[12602] = {20,8,1},
		[12603] = {20,2,1},
		[12604] = {20,3,1},
		[12605] = {20,3,1},
		[12606] = {20,2,1},
		[12608] = {19,2,1},
		[12609] = {20,2,1},
		[12610] = {[3] = 5,[4] = 16664},
		[12611] = {[3] = 5,[4] = 16665},
		[12612] = {[3] = 5,[4] = 16726},
		[12613] = {[3] = 5,[4] = 16731},
		[12614] = {[3] = 5,[4] = 16732},
		[12618] = {[3] = 5,[4] = 16745},
		[12619] = {[3] = 5,[4] = 16744},
		[12620] = {[3] = 5,[4] = 16742},
		[12621] = {19,8,1},
		[12624] = {[3] = 5,[4] = 16650},
		[12625] = {[3] = 5,[4] = 16660},
		[12626] = {19,6,1},
		[12628] = {[3] = 5,[4] = 16667},
		[12631] = {[3] = 5,[4] = 16655},
		[12632] = {[3] = 5,[4] = 16661},
		[12633] = {[3] = 5,[4] = 16724},
		[12634] = {19,8,1},
		[12636] = {[3] = 5,[4] = 16728},
		[12637] = {19,8,1},
		[12639] = {[3] = 5,[4] = 16741},
		[12640] = {[3] = 5,[4] = 16729},
		[12641] = {[3] = 5,[4] = 16746},
		[12643] = {[3] = 5,[4] = 16640},
		[12644] = {[3] = 5,[4] = 16639},
		[12645] = {[3] = 5,[4] = 16651},
		[12651] = {19,6,1},
		[12653] = {19,6,1},
		[12654] = {19,6,1},
		[12655] = {[3] = 13,[4] = 17180},
		[12696] = {20,4,1},
		[12709] = {20,7,1},
		[12731] = {20,7,1},
		[12735] = {25,20,1},
		[12753] = {24,16,1},
		[12764] = {[3] = 5,[4] = 16960},
		[12769] = {[3] = 5,[4] = 16965},
		[12772] = {[3] = 5,[4] = 16967},
		[12773] = {[3] = 5,[4] = 16969},
		[12774] = {[3] = 5,[4] = 16970},
		[12775] = {[3] = 5,[4] = 16971},
		[12776] = {[3] = 5,[4] = 16973},
		[12777] = {[3] = 5,[4] = 16978},
		[12779] = {[3] = 5,[4] = 16980},
		[12780] = {19,16,1},
		[12781] = {[3] = 5,[4] = 16983},
		[12782] = {[3] = 5,[4] = 16985},
		[12783] = {[3] = 5,[4] = 16995},
		[12784] = {[3] = 5,[4] = 16994},
		[12790] = {[3] = 5,[4] = 16990},
		[12791] = {18,20,1},
		[12792] = {[3] = 5,[4] = 16984},
		[12793] = {18,20,1},
		[12794] = {[3] = 5,[4] = 16993},
		[12795] = {[3] = 5,[4] = 16986},
		[12796] = {[3] = 5,[4] = 16988},
		[12797] = {[3] = 5,[4] = 16992},
		[12798] = {[3] = 5,[4] = 16991},
		[12802] = {[3] = 5,[4] = 16987},
		[12803] = {[3] = 7,[4] = 17566},
		[12806] = {20,4,1},
		[12808] = {[3] = 7,[4] = 17564},
		[12810] = {[3] = 13,[4] = 17181},
		[12811] = {{25,10,1},{25,20,1}},
		[12833] = {25,17,1},
		[12834] = {20,4,1},
		[12835] = {19,12,1},
		[12837] = {20,4,1},
		[12838] = {19,8,1},
		[12839] = {25,9,1},
		[12840] = {{24,16,1},{25,20,1}},
		[12841] = {{24,16,1},{25,20,1}},
		[12843] = {{24,16,1},{25,20,1}},
		[12845] = {25,7,1},
		[12871] = {20,5,1},
		[12905] = {20,1,1},
		[12926] = {20,1,1},
		[12927] = {20,1,1},
		[12929] = {20,1,1},
		[12930] = {20,3,1},
		[12935] = {20,6,1},
		[12936] = {20,6,1},
		[12939] = {20,6,1},
		[12940] = {20,6,1},
		[12952] = {20,5,1},
		[12953] = {20,5,1},
		[12960] = {20,5,1},
		[12963] = {20,7,1},
		[12964] = {20,7,1},
		[12965] = {20,7,1},
		[12966] = {20,7,1},
		[12967] = {20,7,1},
		[12968] = {20,7,1},
		[12969] = {20,7,1},
		[13098] = {20,8,1},
		[13141] = {20,8,1},
		[13142] = {20,8,1},
		[13143] = {19,16,1},
		[13148] = {19,16,1},
		[13161] = {19,16,1},
		[13162] = {19,16,1},
		[13163] = {19,16,1},
		[13164] = {19,16,1},
		[13166] = {19,3,1},
		[13167] = {19,3,1},
		[13168] = {19,3,1},
		[13169] = {19,3,1},
		[13170] = {19,3,1},
		[13173] = {19,7,1},
		[13177] = {19,7,1},
		[13178] = {19,11,1},
		[13179] = {19,7,1},
		[13181] = {19,1,1},
		[13182] = {19,1,1},
		[13183] = {19,9,1},
		[13184] = {19,10,1},
		[13185] = {19,10,1},
		[13198] = {19,15,1},
		[13203] = {19,15,1},
		[13204] = {19,15,1},
		[13205] = {19,14,1},
		[13206] = {19,14,1},
		[13208] = {19,14,1},
		[13210] = {19,13,1},
		[13211] = {19,13,1},
		[13212] = {19,13,1},
		[13213] = {19,9,1},
		[13218] = {19,10,1},
		[13244] = {19,9,1},
		[13245] = {2,3,1},
		[13247] = {19,12,1},
		[13250] = {25,11,1},
		[13252] = {19,12,1},
		[13253] = {19,12,1},
		[13255] = {19,6,1},
		[13257] = {19,6,1},
		[13258] = {19,11,1},
		[13259] = {19,11,1},
		[13260] = {20,9,1},
		[13261] = {19,5,1},
		[13282] = {19,5,1},
		[13283] = {19,5,1},
		[13284] = {19,4,1},
		[13285] = {19,4,1},
		[13286] = {19,2,1},
		[13302] = {25,2,1},
		[13303] = {25,2,1},
		[13304] = {25,2,1},
		[13305] = {25,2,1},
		[13306] = {25,2,1},
		[13307] = {25,2,1},
		[13314] = {24,8,1},
		[13335] = {25,19,1},
		[13340] = {25,19,1},
		[13344] = {25,19,1},
		[13345] = {25,19,1},
		[13346] = {25,19,1},
		[13348] = {25,11,1},
		[13349] = {25,19,1},
		[13353] = {25,11,1},
		[13358] = {25,11,1},
		[13359] = {25,11,1},
		[13360] = {25,11,1},
		[13361] = {25,19,1},
		[13368] = {25,19,1},
		[13369] = {25,11,1},
		[13372] = {25,18,1},
		[13373] = {25,18,1},
		[13374] = {25,18,1},
		[13375] = {25,18,1},
		[13376] = {25,12,1},
		[13377] = {25,9,1},
		[13378] = {25,3,1},
		[13379] = {25,3,1},
		[13380] = {25,9,1},
		[13381] = {25,9,1},
		[13382] = {25,9,1},
		[13383] = {25,3,1},
		[13384] = {25,3,1},
		[13385] = {25,10,1},
		[13386] = {25,10,1},
		[13387] = {25,10,1},
		[13388] = {25,5,1},
		[13389] = {25,5,1},
		[13390] = {25,5,1},
		[13391] = {25,5,1},
		[13392] = {25,5,1},
		[13393] = {25,5,1},
		[13394] = {25,1,1},
		[13395] = {25,1,1},
		[13396] = {25,1,1},
		[13397] = {25,13,1},
		[13398] = {24,15,1},
		[13399] = {25,13,1},
		[13400] = {25,6,1},
		[13401] = {25,6,1},
		[13402] = {25,6,1},
		[13403] = {25,6,1},
		[13404] = {25,4,1},
		[13405] = {25,4,1},
		[13408] = {25,4,1},
		[13409] = {25,4,1},
		[13423] = {[3] = 7,[4] = 17551},
		[13442] = {[3] = 7,[4] = 17552},
		[13443] = {[3] = 7,[4] = 17553},
		[13444] = {[3] = 7,[4] = 17580},
		[13445] = {[3] = 7,[4] = 17554},
		[13446] = {[3] = 7,[4] = 17556},
		[13447] = {[3] = 7,[4] = 17555},
		[13452] = {[3] = 7,[4] = 17571},
		[13453] = {[3] = 7,[4] = 17557},
		[13454] = {[3] = 7,[4] = 17573},
		[13455] = {[3] = 7,[4] = 17570},
		[13456] = {[3] = 7,[4] = 17575},
		[13457] = {[3] = 7,[4] = 17574},
		[13458] = {[3] = 7,[4] = 17576},
		[13459] = {[3] = 7,[4] = 17578},
		[13460] = {[3] = 7,[4] = 17579},
		[13461] = {[3] = 7,[4] = 17577},
		[13462] = {[3] = 7,[4] = 17572},
		[13483] = {18,20,1},
		[13494] = {19,17,1},
		[13498] = {20,4,1},
		[13501] = {24,15,1},
		[13502] = {20,4,1},
		[13503] = {[3] = 7,[4] = 17632},
		[13505] = {25,19,1},
		[13506] = {[3] = 7,[4] = 17634},
		[13508] = {25,16,1},
		[13509] = {25,17,1},
		[13510] = {[3] = 7,[4] = 17635},
		[13511] = {[3] = 7,[4] = 17636},
		[13512] = {[3] = 7,[4] = 17637},
		[13513] = {[3] = 7,[4] = 17638},
		[13514] = {25,14,1},
		[13515] = {25,18,1},
		[13519] = {20,8,1},
		[13520] = {25,11,1},
		[13521] = {24,8,1},
		[13522] = {20,5,1},
		[13523] = {{24,1,1},{24,3,1}},
		[13524] = {25,17,1},
		[13525] = {25,17,1},
		[13526] = {25,17,1},
		[13527] = {25,17,1},
		[13528] = {25,17,1},
		[13529] = {25,16,1},
		[13530] = {25,16,1},
		[13531] = {25,16,1},
		[13532] = {25,16,1},
		[13533] = {25,16,1},
		[13534] = {25,14,1},
		[13535] = {25,14,1},
		[13537] = {25,14,1},
		[13538] = {25,14,1},
		[13539] = {25,14,1},
		[13851] = {[3] = 9,[4] = 15856},
		[13856] = {[3] = 11,[4] = 18402},
		[13857] = {[3] = 11,[4] = 18407},
		[13858] = {[3] = 11,[4] = 18406},
		[13860] = {[3] = 11,[4] = 18409},
		[13863] = {[3] = 11,[4] = 18417},
		[13864] = {[3] = 11,[4] = 18423},
		[13865] = {[3] = 11,[4] = 18438},
		[13866] = {[3] = 11,[4] = 18444},
		[13867] = {[3] = 11,[4] = 18449},
		[13868] = {[3] = 11,[4] = 18404},
		[13869] = {[3] = 11,[4] = 18403},
		[13870] = {[3] = 11,[4] = 18411},
		[13871] = {[3] = 11,[4] = 18424},
		[13873] = {24,4,1},
		[13920] = {24,16,1},
		[13927] = {[3] = 9,[4] = 18239},
		[13928] = {[3] = 9,[4] = 18240},
		[13929] = {[3] = 9,[4] = 18242},
		[13930] = {[3] = 9,[4] = 18241},
		[13931] = {[3] = 9,[4] = 18243},
		[13932] = {[3] = 9,[4] = 18244},
		[13933] = {[3] = 9,[4] = 18245},
		[13934] = {[3] = 9,[4] = 18246},
		[13935] = {[3] = 9,[4] = 18247},
		[13937] = {24,15,1},
		[13938] = {24,15,1},
		[13944] = {24,15,1},
		[13950] = {24,15,1},
		[13951] = {24,15,1},
		[13952] = {24,8,1},
		[13953] = {24,15,1},
		[13954] = {25,13,1},
		[13955] = {24,2,1},
		[13956] = {24,2,1},
		[13957] = {24,2,1},
		[13960] = {24,2,1},
		[13964] = {24,15,1},
		[13965] = 12780,
		[13966] = 12780,
		[13967] = {24,2,1},
		[13968] = 12780,
		[13969] = {24,2,1},
		[13983] = {24,2,1},
		[14024] = {24,2,1},
		[14042] = {[3] = 11,[4] = 18408},
		[14043] = {[3] = 11,[4] = 18412},
		[14044] = {[3] = 11,[4] = 18418},
		[14045] = {[3] = 11,[4] = 18434},
		[14046] = {[3] = 11,[4] = 18405},
		[14048] = {[3] = 11,[4] = 18401},
		[14100] = {[3] = 11,[4] = 18414},
		[14101] = {[3] = 11,[4] = 18415},
		[14103] = {[3] = 11,[4] = 18420},
		[14104] = {[3] = 11,[4] = 18439},
		[14106] = {[3] = 11,[4] = 18451},
		[14107] = {[3] = 11,[4] = 18419},
		[14108] = {[3] = 11,[4] = 18437},
		[14111] = {[3] = 11,[4] = 18442},
		[14112] = {[3] = 11,[4] = 18453},
		[14128] = {[3] = 11,[4] = 18446},
		[14130] = {[3] = 11,[4] = 18450},
		[14132] = {[3] = 11,[4] = 18421},
		[14134] = {[3] = 11,[4] = 18422},
		[14136] = {[3] = 11,[4] = 18436},
		[14137] = {[3] = 11,[4] = 18440},
		[14138] = {[3] = 11,[4] = 18447},
		[14139] = {[3] = 11,[4] = 18448},
		[14140] = {[3] = 11,[4] = 18452},
		[14141] = {[3] = 11,[4] = 18416},
		[14142] = {[3] = 11,[4] = 18413},
		[14143] = {[3] = 11,[4] = 18410},
		[14144] = {[3] = 11,[4] = 18441},
		[14145] = {1,1,1},
		[14146] = {[3] = 11,[4] = 18454},
		[14147] = {1,2,1},
		[14148] = {1,1,1},
		[14149] = {1,1,1},
		[14150] = {1,2,1},
		[14151] = {1,2,1},
		[14152] = {[3] = 11,[4] = 18457},
		[14153] = {[3] = 11,[4] = 18458},
		[14154] = {[3] = 11,[4] = 18456},
		[14155] = {[3] = 11,[4] = 18445},
		[14156] = {[3] = 11,[4] = 18455},
		[14340] = {24,8,1},
		[14342] = {[3] = 11,[4] = 18560},
		[14487] = {24,8,1},
		[14495] = {25,20,1},
		[14502] = {24,8,1},
		[14503] = {24,8,1},
		[14512] = {25,11,1},
		[14513] = {19,17,1},
		[14514] = {24,15,1},
		[14522] = {24,8,1},
		[14525] = {24,8,1},
		[14528] = {24,4,1},
		[14529] = {[3] = 4,[4] = 18629},
		[14530] = {[3] = 4,[4] = 18630},
		[14531] = {24,4,1},
		[14536] = {24,16,1},
		[14537] = {24,4,1},
		[14538] = {24,4,1},
		[14539] = {24,4,1},
		[14541] = {24,3,1},
		[14543] = {24,3,1},
		[14545] = {24,3,1},
		[14548] = {24,3,1},
		[14576] = {24,6,1},
		[14577] = {24,7,1},
		[14611] = {[1] = 24,[3] = 1},
		[14612] = {[1] = 24,[3] = 1},
		[14614] = {[1] = 24,[3] = 1},
		[14615] = {[1] = 24,[3] = 1},
		[14616] = {[1] = 24,[3] = 1},
		[14617] = {24,10,1},
		[14620] = {[1] = 24,[3] = 1},
		[14621] = {[1] = 24,[3] = 1},
		[14622] = {[1] = 24,[3] = 1},
		[14623] = {[1] = 24,[3] = 1},
		[14624] = {[1] = 24,[3] = 1},
		[14626] = {[1] = 24,[3] = 1},
		[14629] = {[1] = 24,[3] = 1},
		[14631] = {[1] = 24,[3] = 1},
		[14632] = {[1] = 24,[3] = 1},
		[14633] = {[1] = 24,[3] = 1},
		[14636] = {[1] = 24,[3] = 1},
		[14637] = {[1] = 24,[3] = 1},
		[14638] = {[1] = 24,[3] = 1},
		[14640] = {[1] = 24,[3] = 1},
		[14641] = {[1] = 24,[3] = 1},
		[15045] = {[3] = 6,[4] = 19050},
		[15046] = {[3] = 6,[4] = 19060},
		[15047] = {[3] = 6,[4] = 19054},
		[15048] = {[3] = 6,[4] = 19077},
		[15049] = {[3] = 6,[4] = 19089},
		[15050] = {[3] = 6,[4] = 19085},
		[15051] = {[3] = 6,[4] = 19094},
		[15052] = {[3] = 6,[4] = 19107},
		[15053] = {[3] = 6,[4] = 19076},
		[15054] = {[3] = 6,[4] = 19059},
		[15055] = {[3] = 6,[4] = 19101},
		[15056] = {[3] = 6,[4] = 19079},
		[15057] = {[3] = 6,[4] = 19067},
		[15058] = {[3] = 6,[4] = 19090},
		[15059] = {[3] = 6,[4] = 19095},
		[15060] = {[3] = 6,[4] = 19078},
		[15061] = {[3] = 6,[4] = 19061},
		[15062] = {[3] = 6,[4] = 19097},
		[15063] = {[3] = 6,[4] = 19084},
		[15064] = {[3] = 6,[4] = 19068},
		[15065] = {[3] = 6,[4] = 19080},
		[15066] = {[3] = 6,[4] = 19086},
		[15067] = {[3] = 6,[4] = 19062},
		[15068] = {[3] = 6,[4] = 19104},
		[15069] = {[3] = 6,[4] = 19074},
		[15070] = {[3] = 6,[4] = 19087},
		[15071] = {[3] = 6,[4] = 19066},
		[15072] = {[3] = 6,[4] = 19073},
		[15073] = {[3] = 6,[4] = 19063},
		[15074] = {[3] = 6,[4] = 19053},
		[15075] = {[3] = 6,[4] = 19081},
		[15076] = {[3] = 6,[4] = 19051},
		[15077] = {[3] = 6,[4] = 19048},
		[15078] = {[3] = 6,[4] = 19064},
		[15079] = {[3] = 6,[4] = 19075},
		[15080] = {[3] = 6,[4] = 19088},
		[15081] = {[3] = 6,[4] = 19100},
		[15082] = {[3] = 6,[4] = 19070},
		[15083] = {[3] = 6,[4] = 19049},
		[15084] = {[3] = 6,[4] = 19052},
		[15085] = {[3] = 6,[4] = 19098},
		[15086] = {[3] = 6,[4] = 19071},
		[15087] = {[3] = 6,[4] = 19083},
		[15088] = {[3] = 6,[4] = 19092},
		[15090] = {[3] = 6,[4] = 19102},
		[15091] = {[3] = 6,[4] = 19055},
		[15092] = {[3] = 6,[4] = 19065},
		[15093] = {[3] = 6,[4] = 19072},
		[15094] = {[3] = 6,[4] = 19082},
		[15095] = {[3] = 6,[4] = 19091},
		[15096] = {[3] = 6,[4] = 19103},
		[15138] = {[3] = 6,[4] = 19093},
		[15141] = {[3] = 6,[4] = 19106},
		[15407] = {[3] = 6,[4] = 19047},
		[15410] = {28,1,1},
		[15564] = {[3] = 6,[4] = 19058},
		[15730] = {20,8,1},
		[15733] = {17,12,1},
		[15749] = {19,17,1},
		[15759] = {18,20,1},
		[15768] = {25,20,1},
		[15770] = {18,28,1},
		[15773] = {24,16,1},
		[15775] = {19,17,1},
		[15776] = {24,16,1},
		[15777] = {25,20,1},
		[15781] = {18,28,1},
		[15802] = {[3] = 11,[4] = 19435},
		[15846] = {[3] = 12,[4] = 19567},
		[15869] = {[3] = 5,[4] = 19666},
		[15870] = {[3] = 5,[4] = 19667},
		[15871] = {[3] = 5,[4] = 19668},
		[15872] = {[3] = 5,[4] = 19669},
		[15992] = {[3] = 12,[4] = 19788},
		[15993] = {[3] = 12,[4] = 19790},
		[15994] = {[3] = 12,[4] = 19791},
		[15995] = {[3] = 12,[4] = 19792},
		[15996] = {[3] = 12,[4] = 19793},
		[15997] = {[3] = 12,[4] = 19800},
		[15999] = {[3] = 12,[4] = 19794},
		[16000] = {[3] = 12,[4] = 19795},
		[16004] = {[3] = 12,[4] = 19796},
		[16005] = {[3] = 12,[4] = 19799},
		[16006] = {[3] = 12,[4] = 19815},
		[16007] = {[3] = 12,[4] = 19833},
		[16008] = {[3] = 12,[4] = 19825},
		[16009] = {[3] = 12,[4] = 19819},
		[16022] = {[3] = 12,[4] = 19830},
		[16023] = {[3] = 12,[4] = 19814},
		[16040] = {[3] = 12,[4] = 19831},
		[16048] = {18,28,1},
		[16049] = {18,28,1},
		[16052] = {25,20,1},
		[16053] = {18,28,1},
		[16206] = {[3] = 5,[4] = 20201},
		[16207] = {[3] = 13,[4] = 20051},
		[16216] = {17,12,1},
		[16244] = {19,17,1},
		[16247] = {20,9,1},
		[16248] = {25,20,1},
		[16249] = {25,20,1},
		[16250] = {19,17,1},
		[16254] = {24,16,1},
		[16255] = {24,16,1},
		[16665] = {27,1,1},
		[16666] = {20,8,1},
		[16667] = {24,15,1},
		[16668] = {25,19,1},
		[16669] = {20,5,1},
		[16670] = {19,3,1},
		[16671] = {{24,16,1},{25,20,1}},
		[16672] = {20,1,1},
		[16673] = {{19,17,1},{20,9,1}},
		[16674] = {20,8,1},
		[16675] = {25,16,1},
		[16676] = {19,7,1},
		[16677] = {24,15,1},
		[16678] = {25,19,1},
		[16679] = {19,16,1},
		[16680] = {{19,17,1},{20,9,1}},
		[16681] = {{20,9,1},{25,20,1}},
		[16682] = {25,3,1},
		[16683] = {{19,17,1},{20,9,1}},
		[16684] = {24,10,1},
		[16685] = {{19,17,1},{24,16,1},{25,20,1}},
		[16686] = {24,15,1},
		[16687] = {25,19,1},
		[16688] = {20,8,1},
		[16689] = {24,8,1},
		[16690] = {20,8,1},
		[16691] = {25,17,1},
		[16692] = {25,10,1},
		[16693] = {24,15,1},
		[16694] = {25,19,1},
		[16695] = {20,2,1},
		[16696] = {{19,17,1},{20,9,1}},
		[16697] = {25,20,1},
		[16698] = {24,15,1},
		[16699] = {25,19,1},
		[16700] = {20,8,1},
		[16701] = {24,3,1},
		[16702] = {{24,16,1},{25,20,1}},
		[16703] = {{19,17,1},{20,9,1}},
		[16704] = {25,14,1},
		[16705] = {24,11,1},
		[16706] = {20,8,1},
		[16707] = {24,15,1},
		[16708] = {25,9,1},
		[16709] = {25,19,1},
		[16710] = {{24,9,1},{24,16,1},{25,20,1}},
		[16711] = {24,4,1},
		[16712] = {19,6,1},
		[16713] = {{19,17,1},{20,9,1}},
		[16714] = {{24,16,1},{25,20,1}},
		[16715] = {19,9,1},
		[16716] = {{19,17,1},{24,12,1},{24,16,1}},
		[16717] = {25,4,1},
		[16718] = {19,14,1},
		[16719] = {25,19,1},
		[16720] = {24,15,1},
		[16721] = {20,8,1},
		[16722] = {{24,13,1},{24,16,1}},
		[16723] = {25,20,1},
		[16724] = {25,6,1},
		[16725] = {25,11,1},
		[16726] = {20,8,1},
		[16727] = {24,15,1},
		[16728] = {25,19,1},
		[16729] = {20,7,1},
		[16730] = {20,8,1},
		[16731] = {24,15,1},
		[16732] = {25,19,1},
		[16733] = {20,6,1},
		[16734] = {24,2,1},
		[16735] = {{19,17,1},{20,9,1}},
		[16736] = {{19,17,1},{25,20,1}},
		[16737] = {25,18,1},
		[16766] = {[3] = 9,[4] = 20626},
		[16782] = {5,4,1},
		[16795] = {27,4,1},
		[16796] = {27,2,1},
		[16797] = {27,6,1},
		[16798] = {27,7,1},
		[16799] = {27,12,1},
		[16800] = {27,1,1},
		[16801] = {27,5,1},
		[16802] = {27,12,1},
		[16803] = {27,5,1},
		[16804] = {27,12,1},
		[16805] = {27,1,1},
		[16806] = {27,12,1},
		[16807] = {27,6,1},
		[16808] = {27,4,1},
		[16809] = {27,7,1},
		[16810] = {27,2,1},
		[16811] = {27,5,1},
		[16812] = {27,3,1},
		[16813] = {27,4,1},
		[16814] = {27,2,1},
		[16815] = {27,7,1},
		[16816] = {27,8,1},
		[16817] = {27,12,1},
		[16818] = {30,2,1},
		[16819] = {27,12,1},
		[16820] = {27,7,1},
		[16821] = {27,4,1},
		[16822] = {27,2,1},
		[16823] = {27,8,1},
		[16824] = {27,5,1},
		[16825] = {27,12,1},
		[16826] = {27,3,1},
		[16827] = {27,12,1},
		[16828] = {27,12,1},
		[16829] = {27,1,1},
		[16830] = {27,12,1},
		[16831] = {27,5,1},
		[16832] = {30,7,1},
		[16833] = {27,7,1},
		[16834] = {27,4,1},
		[16835] = {27,2,1},
		[16836] = {27,6,1},
		[16837] = {27,1,1},
		[16838] = {27,12,1},
		[16839] = {27,3,1},
		[16840] = {27,12,1},
		[16841] = {27,7,1},
		[16842] = {27,4,1},
		[16843] = {27,2,1},
		[16844] = {27,6,1},
		[16845] = {27,7,1},
		[16846] = {27,4,1},
		[16847] = {27,2,1},
		[16848] = {27,8,1},
		[16849] = {27,3,1},
		[16850] = {27,12,1},
		[16851] = {27,12,1},
		[16852] = {27,5,1},
		[16853] = {27,7,1},
		[16854] = {27,4,1},
		[16855] = {27,2,1},
		[16856] = {27,6,1},
		[16857] = {27,12,1},
		[16858] = {27,12,1},
		[16859] = {27,1,1},
		[16860] = {27,3,1},
		[16861] = {27,12,1},
		[16862] = {27,3,1},
		[16863] = {27,1,1},
		[16864] = {27,12,1},
		[16865] = {27,7,1},
		[16866] = {27,4,1},
		[16867] = {27,2,1},
		[16868] = {27,8,1},
		[16886] = 16782,
		[16887] = 16782,
		[16897] = {30,8,1},
		[16898] = {30,3,1},
		[16899] = {{30,4,1},{30,5,1},{30,6,1}},
		[16900] = {28,1,1},
		[16901] = {27,10,1},
		[16902] = {30,7,1},
		[16903] = {30,2,1},
		[16904] = {30,1,1},
		[16905] = {30,8,1},
		[16906] = {30,3,1},
		[16907] = {{30,4,1},{30,5,1},{30,6,1}},
		[16908] = {28,1,1},
		[16909] = {27,10,1},
		[16910] = {30,2,1},
		[16911] = {30,1,1},
		[16912] = {30,3,1},
		[16913] = {{30,4,1},{30,5,1},{30,6,1}},
		[16914] = {28,1,1},
		[16915] = {27,10,1},
		[16916] = {30,8,1},
		[16917] = {30,7,1},
		[16918] = {30,1,1},
		[16919] = {30,3,1},
		[16920] = {{30,4,1},{30,5,1},{30,6,1}},
		[16921] = {28,1,1},
		[16922] = {27,10,1},
		[16923] = {30,8,1},
		[16924] = {30,7,1},
		[16925] = {30,2,1},
		[16926] = {30,1,1},
		[16927] = {30,3,1},
		[16928] = {{30,4,1},{30,5,1},{30,6,1}},
		[16929] = {28,1,1},
		[16930] = {27,10,1},
		[16931] = {30,8,1},
		[16932] = {30,7,1},
		[16933] = {30,2,1},
		[16934] = {30,1,1},
		[16935] = {30,1,1},
		[16936] = {30,2,1},
		[16937] = {30,7,1},
		[16938] = {27,10,1},
		[16939] = {28,1,1},
		[16940] = {{30,4,1},{30,5,1},{30,6,1}},
		[16941] = {30,3,1},
		[16942] = {30,8,1},
		[16943] = {30,1,1},
		[16944] = {30,2,1},
		[16945] = {30,7,1},
		[16946] = {27,10,1},
		[16947] = {28,1,1},
		[16948] = {{30,4,1},{30,5,1},{30,6,1}},
		[16949] = {30,3,1},
		[16950] = {30,8,1},
		[16951] = {30,1,1},
		[16952] = {30,2,1},
		[16953] = {30,7,1},
		[16954] = {27,10,1},
		[16955] = {28,1,1},
		[16956] = {{30,4,1},{30,5,1},{30,6,1}},
		[16957] = {30,3,1},
		[16958] = {30,8,1},
		[16959] = {30,1,1},
		[16960] = {30,2,1},
		[16961] = {30,7,1},
		[16962] = {27,10,1},
		[16963] = {28,1,1},
		[16964] = {{30,4,1},{30,5,1},{30,6,1}},
		[16965] = {30,3,1},
		[16966] = {30,8,1},
		[16979] = {[3] = 11,[4] = 20849},
		[16980] = {[3] = 11,[4] = 20848},
		[16982] = {[3] = 6,[4] = 20853},
		[16983] = {[3] = 6,[4] = 20854},
		[16984] = {[3] = 6,[4] = 20855},
		[16988] = {[3] = 5,[4] = 20873},
		[16989] = {[3] = 5,[4] = 20872},
		[17008] = {8,7,1},
		[17010] = {27,12,1},
		[17011] = {27,12,1},
		[17012] = {27,12,1},
		[17013] = {[3] = 5,[4] = 20876},
		[17014] = {[3] = 5,[4] = 20874},
		[17015] = {[3] = 5,[4] = 20890},
		[17016] = {[3] = 5,[4] = 20897},
		[17039] = 17008,
		[17042] = 17008,
		[17043] = 17008,
		[17061] = {25,20,1},
		[17063] = {27,10,1},
		[17064] = {28,1,1},
		[17065] = {27,2,1},
		[17066] = {27,4,1},
		[17067] = {28,1,1},
		[17068] = {28,1,1},
		[17069] = {27,2,1},
		[17070] = {26,1,1},
		[17071] = {27,4,1},
		[17072] = {27,7,1},
		[17073] = {27,2,1},
		[17074] = {27,8,1},
		[17075] = {28,1,1},
		[17076] = {27,10,1},
		[17077] = {{27,1,1},{27,3,1},{27,5,1},{27,8,1}},
		[17078] = {28,1,1},
		[17082] = {27,10,1},
		[17102] = {27,10,1},
		[17103] = {27,7,1},
		[17104] = {27,10,1},
		[17105] = {27,4,1},
		[17106] = {27,10,1},
		[17107] = {27,10,1},
		[17109] = {27,1,1},
		[17110] = {27,6,1},
		[17111] = {26,2,1},
		[17112] = {26,2,1},
		[17113] = {26,2,1},
		[17193] = {[3] = 5,[4] = 21161},
		[17197] = {[3] = 9,[4] = 21143},
		[17198] = {[3] = 9,[4] = 21144},
		[17203] = {27,7,1},
		[17204] = {27,10,1},
		[17222] = {[3] = 9,[4] = 21175},
		[17704] = {[3] = 5,[4] = 21913},
		[17707] = {16,11,1},
		[17708] = {[3] = 7,[4] = 21923},
		[17710] = {16,11,1},
		[17711] = {16,11,1},
		[17713] = {16,11,1},
		[17714] = {16,11,1},
		[17715] = {16,11,1},
		[17716] = {[3] = 12,[4] = 21940},
		[17717] = {16,9,1},
		[17718] = {16,9,1},
		[17719] = {16,9,1},
		[17721] = {[3] = 6,[4] = 21943},
		[17723] = {[3] = 11,[4] = 21945},
		[17728] = {16,10,1},
		[17730] = {16,10,1},
		[17732] = {16,10,1},
		[17734] = {16,8,1},
		[17736] = {16,8,1},
		[17737] = {16,8,1},
		[17738] = {16,7,1},
		[17739] = {16,7,1},
		[17740] = {16,7,1},
		[17741] = {16,6,1},
		[17742] = {16,6,1},
		[17744] = {16,2,1},
		[17745] = {16,2,1},
		[17746] = {16,2,1},
		[17748] = {16,3,1},
		[17749] = {16,3,1},
		[17750] = {16,3,1},
		[17751] = {16,3,1},
		[17752] = {16,5,1},
		[17754] = {16,5,1},
		[17755] = {16,5,1},
		[17757] = {16,12,1},
		[17761] = {16,13,1},
		[17762] = {16,14,1},
		[17763] = {16,15,1},
		[17764] = {16,4,1},
		[17765] = {16,1,1},
		[17766] = {16,11,1},
		[17767] = {16,6,1},
		[17771] = {[3] = 10,[4] = 22967},
		[17780] = {16,11,1},
		[17943] = {16,8,1},
		[17962] = {{[1] = 26,[3] = 1},{28,1,1},{30,8,1}},
		[17963] = {{[1] = 26,[3] = 1},{28,1,1},{30,8,1}},
		[17964] = {{[1] = 26,[3] = 1},{28,1,1},{30,8,1}},
		[17965] = {{[1] = 26,[3] = 1},{28,1,1},{30,8,1}},
		[17966] = {28,1,1},
		[17967] = {[3] = 7,[4] = 22430},
		[17968] = {[3] = 13,[4] = 22434},
		[17969] = {{[1] = 26,[3] = 1},{28,1,1},{30,8,1}},
		[18043] = {18,20,1},
		[18044] = {18,20,1},
		[18045] = {[3] = 9,[4] = 22480},
		[18047] = {20,4,1},
		[18048] = {20,4,1},
		[18082] = {15,4,1},
		[18083] = {15,4,1},
		[18102] = {20,6,1},
		[18103] = {20,6,1},
		[18104] = {20,6,1},
		[18168] = {[3] = 12,[4] = 22797},
		[18202] = {26,1,1},
		[18203] = {27,2,1},
		[18204] = {26,2,1},
		[18205] = {28,1,1},
		[18208] = {26,1,1},
		[18232] = {[3] = 12,[4] = 22704},
		[18238] = {[3] = 6,[4] = 22711},
		[18240] = {23,5,1},
		[18249] = {21,1,1},
		[18250] = {{23,1,1},{23,3,1},{23,4,1},{23,10,1}},
		[18251] = {[3] = 6,[4] = 22727},
		[18252] = {27,11,1},
		[18253] = {[3] = 7,[4] = 22732},
		[18254] = {[3] = 9,[4] = 22761},
		[18255] = {21,6,1},
		[18257] = {27,11,1},
		[18258] = {[3] = 6,[4] = 22815},
		[18259] = {27,11,1},
		[18260] = {27,11,1},
		[18262] = {[3] = 5,[4] = 22757},
		[18263] = {[3] = 11,[4] = 22759},
		[18264] = {27,11,1},
		[18265] = {27,11,1},
		[18266] = {23,3,1},
		[18267] = {21,1,1},
		[18268] = {23,1,1},
		[18269] = {23,2,1},
		[18282] = {[3] = 12,[4] = 22795},
		[18283] = {[3] = 12,[4] = 22793},
		[18284] = {23,2,1},
		[18287] = {23,2,1},
		[18288] = {23,2,1},
		[18289] = {21,6,1},
		[18290] = {27,11,1},
		[18291] = {27,11,1},
		[18292] = {27,11,1},
		[18294] = {[3] = 7,[4] = 22808},
		[18295] = {21,6,1},
		[18296] = {21,6,1},
		[18297] = {21,6,1},
		[18298] = {21,6,1},
		[18301] = {21,4,1},
		[18302] = {21,4,1},
		[18305] = {21,3,1},
		[18306] = {21,2,1},
		[18307] = {21,3,1},
		[18308] = {21,2,1},
		[18309] = {21,5,1},
		[18310] = {21,5,1},
		[18311] = {21,4,1},
		[18312] = {21,5,1},
		[18313] = {21,2,1},
		[18314] = {21,5,1},
		[18315] = {21,5,1},
		[18317] = {21,3,1},
		[18318] = {21,5,1},
		[18319] = {21,2,1},
		[18321] = {21,5,1},
		[18322] = {21,3,1},
		[18323] = {21,2,1},
		[18324] = {21,3,1},
		[18325] = {21,4,1},
		[18326] = {21,5,1},
		[18327] = {21,5,1},
		[18328] = {21,5,1},
		[18332] = {{21,6,1},{22,7,1},{23,10,1}},
		[18333] = {{21,6,1},{22,7,1},{23,10,1}},
		[18334] = {{21,6,1},{22,7,1},{23,10,1}},
		[18338] = {22,7,1},
		[18340] = {22,7,1},
		[18344] = {22,7,1},
		[18345] = {22,4,1},
		[18346] = {22,4,1},
		[18347] = {22,2,1},
		[18349] = {22,2,1},
		[18350] = {22,3,1},
		[18351] = {22,3,1},
		[18352] = {22,1,1},
		[18353] = {22,1,1},
		[18370] = {22,5,1},
		[18371] = {22,3,1},
		[18372] = {22,5,1},
		[18373] = {22,6,1},
		[18374] = {22,3,1},
		[18375] = {22,6,1},
		[18376] = {22,6,1},
		[18377] = {22,5,1},
		[18378] = {22,6,1},
		[18379] = {22,5,1},
		[18380] = {22,6,1},
		[18381] = {22,5,1},
		[18382] = {22,6,1},
		[18383] = {22,2,1},
		[18384] = {22,5,1},
		[18385] = {22,5,1},
		[18386] = {22,2,1},
		[18387] = {22,4,1},
		[18388] = {22,6,1},
		[18389] = {22,5,1},
		[18390] = {22,1,1},
		[18391] = {22,5,1},
		[18392] = {22,6,1},
		[18393] = {22,1,1},
		[18394] = {22,5,1},
		[18395] = {22,6,1},
		[18396] = {22,6,1},
		[18397] = {22,3,1},
		[18403] = 18423,
		[18404] = 18423,
		[18405] = {[3] = 11,[4] = 22866},
		[18406] = 18423,
		[18407] = {[3] = 11,[4] = 22867},
		[18408] = {[3] = 11,[4] = 22868},
		[18409] = {[3] = 11,[4] = 22869},
		[18413] = {[3] = 11,[4] = 22870},
		[18414] = {23,5,1},
		[18415] = {23,5,1},
		[18416] = {23,5,1},
		[18417] = {23,5,1},
		[18418] = {23,5,1},
		[18423] = {28,1,1},
		[18425] = {23,2,1},
		[18450] = {{23,1,1},{23,3,1},{23,4,1}},
		[18451] = {{23,1,1},{23,3,1},{23,4,1}},
		[18458] = {{23,1,1},{23,3,1},{23,4,1}},
		[18459] = {{23,1,1},{23,3,1},{23,4,1}},
		[18460] = {{23,1,1},{23,3,1},{23,4,1}},
		[18462] = {{23,1,1},{23,3,1},{23,4,1}},
		[18463] = {{23,1,1},{23,3,1},{23,4,1}},
		[18464] = {{23,1,1},{23,3,1},{23,4,1}},
		[18475] = {23,9,1},
		[18476] = {23,9,1},
		[18477] = {23,9,1},
		[18478] = {23,9,1},
		[18479] = {23,9,1},
		[18480] = {23,9,1},
		[18481] = {23,9,1},
		[18482] = {23,9,1},
		[18483] = {23,7,1},
		[18484] = {23,7,1},
		[18485] = {23,7,1},
		[18486] = {[3] = 11,[4] = 22902},
		[18490] = {23,7,1},
		[18493] = {{23,1,1},{23,4,1}},
		[18494] = {{23,1,1},{23,4,1}},
		[18495] = {23,9,1},
		[18496] = {{23,1,1},{23,4,1}},
		[18497] = {{23,1,1},{23,4,1}},
		[18498] = {{23,1,1},{23,4,1}},
		[18499] = {23,9,1},
		[18500] = {23,9,1},
		[18502] = {23,6,1},
		[18503] = {23,6,1},
		[18504] = {[3] = 6,[4] = 22921},
		[18505] = {23,6,1},
		[18506] = {[3] = 6,[4] = 22922},
		[18507] = {23,6,1},
		[18508] = {[3] = 6,[4] = 22923},
		[18509] = {[3] = 6,[4] = 22926},
		[18510] = {[3] = 6,[4] = 22927},
		[18511] = {[3] = 6,[4] = 22928},
		[18514] = {23,5,1},
		[18515] = {23,5,1},
		[18516] = {23,5,1},
		[18517] = {23,5,1},
		[18518] = {23,5,1},
		[18519] = {23,5,1},
		[18520] = {23,8,1},
		[18521] = {23,8,1},
		[18522] = {23,8,1},
		[18523] = {23,8,1},
		[18524] = {23,8,1},
		[18525] = {23,8,1},
		[18526] = {23,8,1},
		[18527] = {23,8,1},
		[18528] = {23,9,1},
		[18529] = {23,9,1},
		[18530] = {23,9,1},
		[18531] = {23,9,1},
		[18532] = {23,9,1},
		[18533] = {23,9,1},
		[18534] = {23,9,1},
		[18537] = {23,9,1},
		[18538] = {23,9,1},
		[18541] = {26,1,1},
		[18542] = {26,1,1},
		[18543] = {26,2,1},
		[18544] = {26,2,1},
		[18545] = {26,1,1},
		[18546] = {26,2,1},
		[18547] = {26,1,1},
		[18562] = {30,9,1},
		[18563] = {27,6,1},
		[18564] = {27,4,1},
		[18587] = {[3] = 12,[4] = 23078},
		[18588] = {[3] = 12,[4] = 23069},
		[18592] = {18,20,1},
		[18594] = {[3] = 12,[4] = 23080},
		[18631] = {[3] = 12,[4] = 23071},
		[18634] = {[3] = 12,[4] = 23077},
		[18637] = {[3] = 12,[4] = 23079},
		[18638] = {[3] = 12,[4] = 23081},
		[18639] = {[3] = 12,[4] = 23082},
		[18640] = {23,10,1},
		[18641] = {[3] = 12,[4] = 23070},
		[18645] = {[3] = 12,[4] = 23096},
		[18646] = {27,9,1},
		[18653] = {18,20,1},
		[18654] = {18,28,1},
		[18655] = {23,9,1},
		[18657] = {20,2,1},
		[18658] = {25,20,1},
		[18660] = {[3] = 12,[4] = 23129},
		[18661] = {18,28,1},
		[18662] = {[3] = 6,[4] = 23190},
		[18665] = {26,2,1},
		[18680] = {[1] = 24,[3] = 1},
		[18681] = {[1] = 24,[3] = 1},
		[18682] = {[1] = 24,[3] = 1},
		[18683] = {[1] = 24,[3] = 1},
		[18684] = {[1] = 24,[3] = 1},
		[18686] = {24,4,1},
		[18689] = {24,3,1},
		[18690] = {24,3,1},
		[18691] = {24,7,1},
		[18692] = {24,6,1},
		[18693] = {24,8,1},
		[18694] = {24,8,1},
		[18695] = {24,8,1},
		[18696] = {24,8,1},
		[18697] = {24,16,1},
		[18698] = {24,16,1},
		[18699] = {24,16,1},
		[18700] = {24,16,1},
		[18701] = {24,16,1},
		[18702] = {24,16,1},
		[18703] = {27,9,1},
		[18704] = {26,1,1},
		[18705] = {28,1,1},
		[18716] = {25,10,1},
		[18717] = {25,11,1},
		[18718] = {25,11,1},
		[18720] = {25,11,1},
		[18721] = {25,9,1},
		[18722] = {25,12,1},
		[18723] = {25,18,1},
		[18725] = {25,12,1},
		[18726] = {25,12,1},
		[18727] = {25,12,1},
		[18728] = {25,14,1},
		[18729] = {25,14,1},
		[18730] = {25,14,1},
		[18734] = {25,17,1},
		[18735] = {25,17,1},
		[18736] = {25,20,1},
		[18737] = {25,17,1},
		[18738] = {25,16,1},
		[18739] = {25,16,1},
		[18740] = {25,16,1},
		[18741] = {25,20,1},
		[18742] = {25,20,1},
		[18743] = {25,20,1},
		[18744] = {25,20,1},
		[18745] = {25,20,1},
		[18754] = {22,9,1},
		[18755] = {22,9,1},
		[18756] = {22,9,1},
		[18757] = {22,9,1},
		[18758] = {24,5,1},
		[18759] = {24,5,1},
		[18760] = {24,5,1},
		[18761] = {24,5,1},
		[18779] = {20,4,1},
		[18780] = {23,8,1},
		[18781] = {25,8,1},
		[18782] = {24,4,1},
		[18783] = {25,15,1},
		[18784] = {19,11,1},
		[18803] = {27,9,1},
		[18805] = {27,9,1},
		[18806] = {27,9,1},
		[18808] = {27,9,1},
		[18809] = {27,9,1},
		[18810] = {27,9,1},
		[18811] = {27,9,1},
		[18812] = {27,9,1},
		[18813] = {28,1,1},
		[18814] = {27,10,1},
		[18815] = {27,10,1},
		[18816] = {27,10,1},
		[18817] = {27,10,1},
		[18820] = {{27,2,1},{27,4,1},{27,6,1},{27,7,1}},
		[18821] = {{27,2,1},{27,4,1},{27,6,1},{27,7,1}},
		[18822] = {{27,2,1},{27,4,1},{27,6,1},{27,7,1}},
		[18823] = {{27,2,1},{27,4,1},{27,6,1},{27,7,1}},
		[18824] = {{27,2,1},{27,4,1},{27,6,1},{27,7,1}},
		[18829] = {{27,2,1},{27,4,1},{27,6,1},{27,7,1}},
		[18832] = {27,4,1},
		[18842] = {27,7,1},
		[18861] = {[1] = 27,[3] = 1},
		[18870] = {{27,1,1},{27,3,1},{27,5,1},{27,8,1}},
		[18872] = {{27,1,1},{27,3,1},{27,5,1},{27,8,1}},
		[18875] = {{27,1,1},{27,3,1},{27,5,1},{27,8,1}},
		[18878] = {{27,1,1},{27,3,1},{27,5,1},{27,8,1}},
		[18879] = {{27,1,1},{27,3,1},{27,5,1},{27,8,1}},
		[18948] = {[3] = 6,[4] = 23399},
		[18984] = {[3] = 12,[4] = 23486},
		[18986] = {[3] = 12,[4] = 23489},
		[19003] = {30,8,1},
		[19017] = {27,10,1},
		[19026] = {[3] = 12,[4] = 23507},
		[19043] = {[3] = 5,[4] = 23628},
		[19044] = {[3] = 6,[4] = 23703},
		[19047] = {[3] = 11,[4] = 23662},
		[19048] = {[3] = 5,[4] = 23629},
		[19049] = {[3] = 6,[4] = 23704},
		[19050] = {[3] = 11,[4] = 23663},
		[19051] = {[3] = 5,[4] = 23632},
		[19052] = {[3] = 6,[4] = 23705},
		[19056] = {[3] = 11,[4] = 23664},
		[19057] = {[3] = 5,[4] = 23633},
		[19058] = {[3] = 6,[4] = 23706},
		[19059] = {[3] = 11,[4] = 23665},
		[19130] = {26,1,1},
		[19131] = {26,1,1},
		[19132] = {26,1,1},
		[19133] = {26,2,1},
		[19134] = {26,2,1},
		[19135] = {26,2,1},
		[19136] = {{27,2,1},{27,4,1},{27,6,1},{27,7,1}},
		[19137] = {27,10,1},
		[19138] = {27,10,1},
		[19139] = {27,9,1},
		[19140] = {27,9,1},
		[19142] = {{27,2,1},{27,4,1},{27,6,1},{27,7,1}},
		[19143] = {{27,2,1},{27,4,1},{27,6,1},{27,7,1}},
		[19144] = {{27,2,1},{27,4,1},{27,6,1},{27,7,1}},
		[19145] = {{27,1,1},{27,3,1},{27,5,1},{27,8,1}},
		[19146] = {{27,1,1},{27,3,1},{27,5,1},{27,8,1}},
		[19147] = {{27,1,1},{27,3,1},{27,5,1},{27,8,1}},
		[19148] = {[3] = 5,[4] = 23636},
		[19149] = {[3] = 6,[4] = 23707},
		[19156] = {[3] = 11,[4] = 23666},
		[19157] = {[3] = 6,[4] = 23708},
		[19162] = {[3] = 6,[4] = 23709},
		[19163] = {[3] = 6,[4] = 23710},
		[19164] = {[3] = 5,[4] = 23637},
		[19165] = {[3] = 11,[4] = 23667},
		[19166] = {[3] = 5,[4] = 23638},
		[19167] = {[3] = 5,[4] = 23639},
		[19168] = {[3] = 5,[4] = 23652},
		[19169] = {[3] = 5,[4] = 23653},
		[19170] = {[3] = 5,[4] = 23650},
		[19227] = {20,7,1},
		[19258] = {23,8,1},
		[19268] = {{18,16,1},{21,3,1}},
		[19276] = {24,15,1},
		[19334] = {30,1,1},
		[19335] = {30,1,1},
		[19336] = {30,1,1},
		[19337] = {30,1,1},
		[19339] = {30,2,1},
		[19340] = {30,2,1},
		[19341] = {30,3,1},
		[19342] = {30,3,1},
		[19343] = {30,4,1},
		[19344] = {30,4,1},
		[19345] = {30,5,1},
		[19346] = {30,2,1},
		[19347] = {30,7,1},
		[19348] = {30,2,1},
		[19349] = {30,7,1},
		[19350] = {30,3,1},
		[19351] = {30,3,1},
		[19352] = {30,7,1},
		[19353] = {{30,4,1},{30,5,1},{30,6,1}},
		[19354] = {30,9,1},
		[19355] = {{30,4,1},{30,5,1},{30,6,1}},
		[19356] = {30,8,1},
		[19357] = {30,6,1},
		[19358] = {30,9,1},
		[19360] = {30,8,1},
		[19361] = {30,7,1},
		[19362] = {30,9,1},
		[19363] = {30,8,1},
		[19364] = {30,8,1},
		[19365] = {30,4,1},
		[19366] = 19003,
		[19367] = {30,6,1},
		[19368] = {30,5,1},
		[19369] = {30,1,1},
		[19370] = {30,1,1},
		[19371] = {30,2,1},
		[19372] = {30,2,1},
		[19373] = {30,3,1},
		[19374] = {30,3,1},
		[19375] = {30,8,1},
		[19376] = {30,8,1},
		[19377] = {30,8,1},
		[19378] = {30,8,1},
		[19379] = {30,8,1},
		[19380] = {30,8,1},
		[19381] = {30,8,1},
		[19382] = {30,8,1},
		[19383] = 19003,
		[19384] = 19003,
		[19385] = {30,7,1},
		[19386] = {30,7,1},
		[19387] = {30,7,1},
		[19388] = {30,7,1},
		[19389] = {30,7,1},
		[19390] = {30,7,1},
		[19391] = {30,7,1},
		[19392] = {30,7,1},
		[19393] = {30,7,1},
		[19394] = {{30,4,1},{30,5,1},{30,6,1}},
		[19395] = {{30,4,1},{30,5,1},{30,6,1}},
		[19396] = {{30,4,1},{30,5,1},{30,6,1}},
		[19397] = {{30,4,1},{30,5,1},{30,6,1}},
		[19398] = {30,4,1},
		[19399] = {30,4,1},
		[19400] = {30,4,1},
		[19401] = {30,4,1},
		[19402] = {30,4,1},
		[19403] = {30,5,1},
		[19405] = {30,5,1},
		[19406] = {30,5,1},
		[19407] = {30,5,1},
		[19430] = {30,6,1},
		[19431] = {30,6,1},
		[19432] = {30,6,1},
		[19433] = {30,6,1},
		[19434] = {30,9,1},
		[19435] = {30,9,1},
		[19436] = {30,9,1},
		[19437] = {30,9,1},
		[19438] = {30,9,1},
		[19439] = {30,9,1},
		[19440] = {[3] = 4,[4] = 23787},
		[19507] = {12,1,1},
		[19508] = {12,1,1},
		[19509] = {12,1,1},
		[19682] = {[3] = 11,[4] = 24091},
		[19683] = {[3] = 11,[4] = 24092},
		[19684] = {[3] = 11,[4] = 24093},
		[19685] = {[3] = 6,[4] = 24121},
		[19686] = {[3] = 6,[4] = 24122},
		[19687] = {[3] = 6,[4] = 24123},
		[19688] = {[3] = 6,[4] = 24124},
		[19689] = {[3] = 6,[4] = 24125},
		[19690] = {[3] = 5,[4] = 24136},
		[19691] = {[3] = 5,[4] = 24137},
		[19692] = {[3] = 5,[4] = 24138},
		[19693] = {[3] = 5,[4] = 24139},
		[19694] = {[3] = 5,[4] = 24140},
		[19695] = {[3] = 5,[4] = 24141},
		[19698] = {29,15,1},
		[19699] = {29,15,1},
		[19700] = {29,15,1},
		[19701] = {29,15,1},
		[19702] = {29,15,1},
		[19703] = {29,15,1},
		[19704] = {29,15,1},
		[19705] = {29,15,1},
		[19706] = {29,15,1},
		[19707] = {29,15,1},
		[19708] = {29,15,1},
		[19709] = {29,15,1},
		[19710] = {29,15,1},
		[19711] = {29,15,1},
		[19712] = {29,15,1},
		[19713] = {29,15,1},
		[19714] = {29,15,1},
		[19715] = {29,15,1},
		[19716] = {[1] = 29,[3] = 1},
		[19717] = {[1] = 29,[3] = 1},
		[19718] = {[1] = 29,[3] = 1},
		[19719] = {[1] = 29,[3] = 1},
		[19720] = {[1] = 29,[3] = 1},
		[19721] = {[1] = 29,[3] = 1},
		[19722] = {[1] = 29,[3] = 1},
		[19723] = {[1] = 29,[3] = 1},
		[19724] = {[1] = 29,[3] = 1},
		[19726] = {29,15,1},
		[19727] = {29,18,1},
		[19767] = {29,15,1},
		[19768] = {29,15,1},
		[19774] = {29,15,1},
		[19782] = {29,16,1},
		[19783] = {29,16,1},
		[19784] = {29,16,1},
		[19785] = {29,16,1},
		[19786] = {29,16,1},
		[19787] = {29,16,1},
		[19788] = {29,16,1},
		[19789] = {29,16,1},
		[19790] = {29,16,1},
		[19802] = {29,13,1},
		[19813] = {29,18,1},
		[19814] = {29,18,1},
		[19815] = {29,18,1},
		[19816] = {29,18,1},
		[19817] = {29,18,1},
		[19818] = {29,18,1},
		[19819] = {29,18,1},
		[19820] = {29,18,1},
		[19821] = {29,18,1},
		[19822] = 19723,
		[19823] = 19719,
		[19824] = 19717,
		[19825] = 19722,
		[19826] = 19721,
		[19827] = 19716,
		[19828] = 19722,
		[19829] = 19719,
		[19830] = 19717,
		[19831] = 19724,
		[19832] = 19721,
		[19833] = 19716,
		[19834] = 19724,
		[19835] = 19719,
		[19836] = 19717,
		[19838] = 19722,
		[19839] = 19720,
		[19840] = 19718,
		[19841] = 19724,
		[19842] = 19720,
		[19843] = 19718,
		[19845] = 19721,
		[19846] = 19716,
		[19848] = 19718,
		[19849] = 19720,
		[19852] = {29,13,1},
		[19853] = {29,13,1},
		[19854] = {29,13,1},
		[19855] = {29,13,1},
		[19856] = {29,13,1},
		[19857] = {29,13,1},
		[19859] = {29,13,1},
		[19861] = {29,13,1},
		[19862] = {29,13,1},
		[19863] = {29,4,1},
		[19864] = {29,13,1},
		[19865] = {29,13,1},
		[19866] = {{29,4,1},{29,13,1}},
		[19867] = {29,4,1},
		[19869] = {29,4,1},
		[19870] = {29,4,1},
		[19871] = {29,3,1},
		[19872] = {29,4,1},
		[19873] = {29,4,1},
		[19874] = {29,4,1},
		[19875] = {29,12,1},
		[19876] = {29,13,1},
		[19877] = {29,4,1},
		[19878] = {29,4,1},
		[19884] = {29,12,1},
		[19885] = {29,12,1},
		[19886] = {29,12,1},
		[19887] = {29,12,1},
		[19888] = {29,12,1},
		[19889] = {29,12,1},
		[19890] = {29,12,1},
		[19891] = {29,12,1},
		[19892] = {29,12,1},
		[19893] = {29,4,1},
		[19894] = {29,12,1},
		[19895] = {29,4,1},
		[19896] = {29,10,1},
		[19897] = {29,10,1},
		[19898] = {29,10,1},
		[19899] = {29,10,1},
		[19900] = {29,2,1},
		[19901] = {29,10,1},
		[19902] = {29,10,1},
		[19903] = {29,2,1},
		[19904] = {29,2,1},
		[19905] = {29,2,1},
		[19906] = {29,2,1},
		[19907] = {29,2,1},
		[19908] = {29,15,1},
		[19909] = {29,11,1},
		[19910] = {29,11,1},
		[19912] = {29,11,1},
		[19913] = {29,11,1},
		[19914] = {29,11,1},
		[19915] = {29,1,1},
		[19918] = {29,1,1},
		[19919] = {29,3,1},
		[19920] = {29,1,1},
		[19921] = {29,15,1},
		[19922] = {29,11,1},
		[19923] = {29,1,1},
		[19925] = {29,3,1},
		[19927] = {29,3,1},
		[19928] = {29,1,1},
		[19929] = {29,12,1},
		[19930] = {29,3,1},
		[19931] = {[3] = 7,[4] = 24266},
		[19939] = {29,5,1},
		[19940] = {29,7,1},
		[19941] = {29,8,1},
		[19942] = {29,6,1},
		[19944] = {29,9,1},
		[19945] = {29,9,1},
		[19946] = {29,9,1},
		[19947] = {29,9,1},
		[19948] = 19802,
		[19949] = 19802,
		[19950] = 19802,
		[19961] = {29,5,1},
		[19962] = {29,5,1},
		[19963] = {29,7,1},
		[19964] = {29,7,1},
		[19965] = {29,8,1},
		[19967] = {29,6,1},
		[19968] = {29,6,1},
		[19975] = {29,17,1},
		[19993] = {29,8,1},
		[19998] = {[3] = 12,[4] = 24357},
		[19999] = {[3] = 12,[4] = 24356},
		[20002] = {[3] = 7,[4] = 24366},
		[20004] = {[3] = 7,[4] = 24368},
		[20007] = {[3] = 7,[4] = 24365},
		[20008] = {[3] = 7,[4] = 24367},
		[20032] = {29,3,1},
		[20033] = 19723,
		[20034] = 19723,
		[20038] = {29,4,1},
		[20039] = {[3] = 5,[4] = 24399},
		[20074] = {[3] = 9,[4] = 24418},
		[20076] = {29,16,1},
		[20077] = {29,16,1},
		[20078] = {29,16,1},
		[20257] = {29,13,1},
		[20258] = {29,15,1},
		[20259] = {29,15,1},
		[20260] = {29,10,1},
		[20261] = {29,15,1},
		[20262] = {29,1,1},
		[20263] = {29,15,1},
		[20265] = {29,1,1},
		[20266] = {29,10,1},
		[20295] = {[3] = 6,[4] = 24654},
		[20296] = {[3] = 6,[4] = 24655},
		[20380] = {[3] = 6,[4] = 24703},
		[20381] = {26,3,1},
		[20383] = {30,3,1},
		[20452] = {[3] = 9,[4] = 24801},
		[20476] = {[3] = 6,[4] = 24849},
		[20477] = {[3] = 6,[4] = 24850},
		[20478] = {[3] = 6,[4] = 24851},
		[20479] = {[3] = 6,[4] = 24848},
		[20480] = {[3] = 6,[4] = 24847},
		[20481] = {[3] = 6,[4] = 24846},
		[20520] = {24,16,1},
		[20537] = {[3] = 11,[4] = 24903},
		[20538] = {[3] = 11,[4] = 24901},
		[20539] = {[3] = 11,[4] = 24902},
		[20549] = {[3] = 5,[4] = 24912},
		[20550] = {[3] = 5,[4] = 24914},
		[20551] = {[3] = 5,[4] = 24913},
		[20575] = {[3] = 6,[4] = 24940},
		[20577] = {26,5,1},
		[20578] = {26,6,1},
		[20579] = {{26,3,1},{26,4,1},{26,5,1},{26,6,1}},
		[20580] = {{26,3,1},{26,4,1},{26,5,1},{26,6,1}},
		[20581] = {{26,3,1},{26,4,1},{26,5,1},{26,6,1}},
		[20582] = {{26,3,1},{26,4,1},{26,5,1},{26,6,1}},
		[20599] = {26,4,1},
		[20600] = {{26,3,1},{26,4,1},{26,5,1},{26,6,1}},
		[20606] = {17,1,1},
		[20607] = {17,1,1},
		[20608] = {17,1,1},
		[20615] = {{26,3,1},{26,4,1},{26,5,1},{26,6,1}},
		[20616] = {{26,3,1},{26,4,1},{26,5,1},{26,6,1}},
		[20617] = {{26,3,1},{26,4,1},{26,5,1},{26,6,1}},
		[20618] = {{26,3,1},{26,4,1},{26,5,1},{26,6,1}},
		[20619] = {{26,3,1},{26,4,1},{26,5,1},{26,6,1}},
		[20621] = {26,4,1},
		[20622] = {26,4,1},
		[20623] = {26,4,1},
		[20624] = {26,4,1},
		[20625] = {26,3,1},
		[20626] = {26,3,1},
		[20627] = {26,3,1},
		[20628] = {26,3,1},
		[20629] = {26,3,1},
		[20630] = {26,3,1},
		[20631] = {26,5,1},
		[20632] = {26,5,1},
		[20633] = {26,5,1},
		[20634] = {26,5,1},
		[20635] = {26,6,1},
		[20636] = {26,6,1},
		[20637] = {26,6,1},
		[20638] = {26,6,1},
		[20639] = {26,6,1},
		[20644] = {{26,3,1},{26,4,1},{26,5,1},{26,6,1}},
		[20726] = {32,7,1},
		[20727] = {{31,10,1},{32,12,1}},
		[20728] = {{31,10,1},{32,12,1}},
		[20729] = {{31,10,1},{32,12,1}},
		[20730] = {{31,10,1},{32,12,1}},
		[20731] = {{31,10,1},{32,12,1}},
		[20734] = {{31,10,1},{32,12,1}},
		[20735] = {32,7,1},
		[20736] = {{31,10,1},{32,12,1}},
		[20744] = {[3] = 13,[4] = 25124},
		[20745] = {[3] = 13,[4] = 25125},
		[20746] = {[3] = 13,[4] = 25126},
		[20747] = {[3] = 13,[4] = 25127},
		[20748] = {[3] = 13,[4] = 25130},
		[20749] = {[3] = 13,[4] = 25129},
		[20750] = {[3] = 13,[4] = 25128},
		[20844] = {[3] = 16,[4] = 25347},
		[20858] = {{31,7,1},{31,9,1},{32,11,1}},
		[20859] = {{31,7,1},{31,9,1},{32,11,1}},
		[20860] = {{31,7,1},{31,9,1},{32,11,1}},
		[20861] = {{31,7,1},{31,9,1},{32,11,1}},
		[20862] = {{31,7,1},{31,9,1},{32,11,1}},
		[20863] = {{31,7,1},{31,9,1},{32,11,1}},
		[20864] = {{31,7,1},{31,9,1},{32,11,1}},
		[20865] = {{31,7,1},{31,9,1},{32,11,1}},
		[20866] = {31,7,1},
		[20867] = {31,7,1},
		[20868] = {31,7,1},
		[20869] = {31,7,1},
		[20870] = {31,7,1},
		[20871] = {31,7,1},
		[20872] = {31,7,1},
		[20873] = {31,7,1},
		[20874] = {{31,9,1},{32,11,1}},
		[20875] = {{31,9,1},{32,11,1}},
		[20876] = {{31,9,1},{32,11,1}},
		[20877] = {{31,9,1},{32,11,1}},
		[20878] = {{31,9,1},{32,11,1}},
		[20879] = {{31,9,1},{32,11,1}},
		[20881] = {{31,9,1},{32,11,1}},
		[20882] = {{31,9,1},{32,11,1}},
		[20884] = {[1] = 31,[3] = 1},
		[20885] = {{31,1,1},{31,2,1},{31,4,1},{31,5,1}},
		[20886] = {{31,3,1},{31,4,1},{31,5,1},{31,6,1}},
		[20888] = {[1] = 31,[3] = 1},
		[20889] = {{31,1,1},{31,2,1},{31,4,1},{31,5,1}},
		[20890] = {{31,3,1},{31,4,1},{31,5,1},{31,6,1}},
		[20926] = {32,7,1},
		[20927] = {32,8,1},
		[20928] = {{32,5,1},{32,6,1}},
		[20929] = {32,9,1},
		[20930] = {32,7,1},
		[20931] = {32,8,1},
		[20932] = {{32,5,1},{32,6,1}},
		[20933] = {32,9,1},
		[21023] = {[3] = 9,[4] = 25659},
		[21072] = {[3] = 9,[4] = 25704},
		[21126] = {32,9,1},
		[21128] = {32,1,1},
		[21134] = {32,9,1},
		[21154] = {[3] = 11,[4] = 26403},
		[21156] = {{31,7,1},{31,9,1},{32,11,1}},
		[21214] = {31,8,1},
		[21217] = {[3] = 9,[4] = 25954},
		[21218] = {32,10,1},
		[21220] = {31,6,1},
		[21221] = {32,9,1},
		[21229] = {{31,9,1},{32,11,1}},
		[21230] = {{31,9,1},{32,11,1}},
		[21232] = {[1] = 32,[3] = 1},
		[21237] = {[1] = 32,[3] = 1},
		[21242] = 21232,
		[21244] = 21232,
		[21268] = 21237,
		[21269] = 21232,
		[21272] = 21232,
		[21273] = 21237,
		[21275] = 21237,
		[21277] = {[3] = 12,[4] = 26011},
		[21278] = {[3] = 6,[4] = 26279},
		[21279] = {31,8,1},
		[21280] = {31,8,1},
		[21281] = {31,8,1},
		[21282] = {31,8,1},
		[21283] = {31,8,1},
		[21284] = {31,8,1},
		[21285] = {31,8,1},
		[21287] = {31,8,1},
		[21288] = {31,8,1},
		[21289] = {31,8,1},
		[21290] = {31,8,1},
		[21291] = {31,8,1},
		[21292] = {31,8,1},
		[21293] = {31,8,1},
		[21294] = {31,8,1},
		[21295] = {31,8,1},
		[21296] = {31,8,1},
		[21297] = {31,8,1},
		[21298] = {31,8,1},
		[21299] = {31,8,1},
		[21300] = {31,8,1},
		[21302] = {31,8,1},
		[21303] = {31,8,1},
		[21304] = {31,8,1},
		[21306] = {31,8,1},
		[21307] = {31,8,1},
		[21321] = {32,10,1},
		[21323] = {32,10,1},
		[21324] = {32,10,1},
		[21329] = 20926,
		[21330] = 20928,
		[21331] = 20929,
		[21332] = 20927,
		[21333] = 20928,
		[21334] = 20933,
		[21335] = 20932,
		[21336] = 20931,
		[21337] = 20926,
		[21338] = 20932,
		[21340] = {[3] = 11,[4] = 26085},
		[21341] = {[3] = 11,[4] = 26086},
		[21342] = {[3] = 11,[4] = 26087},
		[21343] = 20933,
		[21344] = 20932,
		[21345] = 20932,
		[21346] = 20927,
		[21347] = 20926,
		[21348] = 20926,
		[21349] = 20928,
		[21350] = 20928,
		[21351] = 20933,
		[21352] = 20927,
		[21353] = 20930,
		[21354] = 20932,
		[21355] = 20932,
		[21356] = 20931,
		[21357] = 20933,
		[21359] = 20928,
		[21360] = 20930,
		[21361] = 20928,
		[21362] = 20927,
		[21364] = 20929,
		[21365] = 20928,
		[21366] = 20930,
		[21367] = 20928,
		[21368] = 20931,
		[21370] = 20929,
		[21371] = {27,11,1},
		[21372] = 20930,
		[21373] = 20932,
		[21374] = 20929,
		[21375] = 20931,
		[21376] = 20932,
		[21387] = 20930,
		[21388] = 20932,
		[21389] = 20929,
		[21390] = 20931,
		[21391] = 20932,
		[21392] = 20886,
		[21393] = 20884,
		[21394] = 20885,
		[21395] = 20886,
		[21396] = 20884,
		[21397] = 20889,
		[21398] = 20886,
		[21399] = 20884,
		[21400] = 20889,
		[21401] = 20886,
		[21402] = 20888,
		[21403] = 20889,
		[21404] = 20886,
		[21405] = 20888,
		[21406] = 20885,
		[21407] = 20890,
		[21408] = 20884,
		[21409] = 20889,
		[21410] = 20890,
		[21411] = 20888,
		[21412] = 20885,
		[21413] = 20890,
		[21414] = 20884,
		[21415] = 20885,
		[21416] = 20890,
		[21417] = 20888,
		[21418] = 20889,
		[21452] = {31,6,1},
		[21454] = {31,6,1},
		[21455] = {31,3,1},
		[21456] = {31,6,1},
		[21457] = {31,6,1},
		[21458] = {31,6,1},
		[21459] = {31,6,1},
		[21460] = {31,6,1},
		[21461] = {31,6,1},
		[21462] = {31,6,1},
		[21463] = {31,6,1},
		[21464] = {31,6,1},
		[21466] = {31,5,1},
		[21467] = {31,3,1},
		[21468] = {31,3,1},
		[21469] = {31,3,1},
		[21470] = {31,3,1},
		[21471] = {31,3,1},
		[21472] = {31,3,1},
		[21473] = {31,3,1},
		[21474] = {31,3,1},
		[21475] = {31,3,1},
		[21476] = {31,3,1},
		[21477] = {31,3,1},
		[21478] = {31,5,1},
		[21479] = {{31,3,1},{31,5,1}},
		[21480] = {31,5,1},
		[21481] = {31,5,1},
		[21482] = {31,5,1},
		[21483] = {31,5,1},
		[21484] = {31,5,1},
		[21485] = {31,4,1},
		[21487] = {31,4,1},
		[21488] = {31,4,1},
		[21489] = {31,4,1},
		[21490] = {31,4,1},
		[21491] = {31,4,1},
		[21492] = {31,2,1},
		[21493] = {31,2,1},
		[21494] = {31,2,1},
		[21495] = {31,2,1},
		[21496] = {31,2,1},
		[21497] = {31,2,1},
		[21498] = {31,1,1},
		[21499] = {31,1,1},
		[21500] = {31,1,1},
		[21501] = {31,1,1},
		[21502] = {31,1,1},
		[21503] = {31,1,1},
		[21504] = 21220,
		[21505] = 21220,
		[21506] = 21220,
		[21507] = 21220,
		[21542] = {[3] = 11,[4] = 26407},
		[21546] = {[3] = 7,[4] = 26277},
		[21557] = {[3] = 12,[4] = 26418},
		[21558] = {[3] = 12,[4] = 26416},
		[21559] = {[3] = 12,[4] = 26417},
		[21569] = {[3] = 12,[4] = 26442},
		[21570] = {[3] = 12,[4] = 26443},
		[21571] = {[3] = 12,[4] = 26423},
		[21574] = {[3] = 12,[4] = 26424},
		[21576] = {[3] = 12,[4] = 26425},
		[21579] = {32,9,1},
		[21581] = {32,9,1},
		[21582] = {32,9,1},
		[21583] = {32,9,1},
		[21585] = {32,9,1},
		[21586] = {32,9,1},
		[21589] = {[3] = 12,[4] = 26420},
		[21590] = {[3] = 12,[4] = 26421},
		[21592] = {[3] = 12,[4] = 26422},
		[21596] = {32,9,1},
		[21597] = {32,7,1},
		[21598] = {32,7,1},
		[21599] = {32,7,1},
		[21600] = {32,7,1},
		[21601] = {32,7,1},
		[21602] = {32,7,1},
		[21603] = {32,2,1},
		[21604] = {32,7,1},
		[21605] = {32,7,1},
		[21606] = {32,7,1},
		[21607] = {32,7,1},
		[21608] = {32,7,1},
		[21609] = {32,7,1},
		[21610] = {32,8,1},
		[21611] = {32,8,1},
		[21615] = {32,8,1},
		[21616] = {32,6,1},
		[21617] = {32,6,1},
		[21618] = {32,6,1},
		[21619] = {32,6,1},
		[21620] = {32,6,1},
		[21621] = {32,6,1},
		[21622] = {32,5,1},
		[21623] = {32,5,1},
		[21624] = {32,5,1},
		[21625] = {32,5,1},
		[21626] = {32,5,1},
		[21627] = {32,4,1},
		[21635] = {32,4,1},
		[21639] = {32,4,1},
		[21645] = {32,4,1},
		[21647] = {32,4,1},
		[21648] = {32,3,1},
		[21650] = {32,4,1},
		[21651] = {32,4,1},
		[21652] = {32,4,1},
		[21663] = {32,4,1},
		[21664] = {32,4,1},
		[21665] = {32,4,1},
		[21666] = {32,3,1},
		[21667] = {32,3,1},
		[21668] = {32,3,1},
		[21669] = {32,3,1},
		[21670] = {32,3,1},
		[21671] = {32,3,1},
		[21672] = {32,3,1},
		[21673] = {32,3,1},
		[21674] = {32,3,1},
		[21675] = {32,3,1},
		[21676] = {32,3,1},
		[21677] = {32,5,1},
		[21678] = {32,3,1},
		[21679] = {32,7,1},
		[21680] = {32,2,1},
		[21681] = {32,2,1},
		[21682] = {32,2,1},
		[21683] = {32,2,1},
		[21684] = {32,2,1},
		[21685] = {32,2,1},
		[21686] = {32,2,1},
		[21687] = {32,2,1},
		[21688] = {32,2,1},
		[21689] = {32,2,1},
		[21690] = {32,2,1},
		[21691] = {32,2,1},
		[21692] = {32,2,1},
		[21693] = {32,2,1},
		[21694] = {32,2,1},
		[21695] = {32,2,1},
		[21696] = {32,2,1},
		[21697] = {32,2,1},
		[21698] = {32,1,1},
		[21699] = {32,1,1},
		[21700] = {32,1,1},
		[21701] = {32,1,1},
		[21702] = {32,1,1},
		[21703] = {32,1,1},
		[21704] = {32,1,1},
		[21705] = {32,1,1},
		[21706] = {32,1,1},
		[21707] = {32,1,1},
		[21708] = {32,1,1},
		[21709] = 21221,
		[21710] = 21221,
		[21712] = 21221,
		[21714] = {[3] = 12,[4] = 26426},
		[21715] = {31,6,1},
		[21716] = {[3] = 12,[4] = 26427},
		[21718] = {[3] = 12,[4] = 26428},
		[21761] = {31,7,1},
		[21762] = {{31,9,1},{32,11,1}},
		[21800] = {31,7,1},
		[21801] = {31,7,1},
		[21802] = {31,7,1},
		[21804] = {31,7,1},
		[21805] = {31,7,1},
		[21806] = {31,2,1},
		[21809] = {31,2,1},
		[21810] = {31,2,1},
		[21814] = {32,1,1},
		[21836] = {32,10,1},
		[21837] = {32,10,1},
		[21838] = {32,10,1},
		[21839] = {32,9,1},
		[21856] = {32,10,1},
		[21888] = {32,10,1},
		[21889] = {32,10,1},
		[21891] = {32,10,1},
		[22191] = {[3] = 5,[4] = 27590},
		[22194] = {[3] = 5,[4] = 27589},
		[22195] = {[3] = 5,[4] = 27588},
		[22196] = {[3] = 5,[4] = 27587},
		[22197] = {[3] = 5,[4] = 27585},
		[22198] = {[3] = 5,[4] = 27586},
		[22202] = {{31,7,1},{31,9,1},{32,11,1}},
		[22203] = {{31,7,1},{31,9,1},{32,11,1}},
		[22204] = {18,27,1},
		[22205] = {{18,11,1},{18,14,1}},
		[22207] = {18,27,1},
		[22208] = {18,25,1},
		[22212] = {18,21,1},
		[22220] = {31,3,1},
		[22222] = {32,1,1},
		[22223] = {18,15,1},
		[22225] = {20,5,1},
		[22231] = {19,7,1},
		[22232] = {19,11,1},
		[22234] = {18,1,1},
		[22240] = {18,2,1},
		[22241] = {18,12,1},
		[22242] = {18,13,1},
		[22245] = {18,23,1},
		[22246] = {[3] = 11,[4] = 27658},
		[22247] = {20,6,1},
		[22248] = {[3] = 11,[4] = 27659},
		[22249] = {[3] = 11,[4] = 27660},
		[22251] = {[3] = 11,[4] = 27724},
		[22252] = {[3] = 11,[4] = 27725},
		[22253] = {20,8,1},
		[22254] = {{18,11,1},{18,14,1}},
		[22255] = {{18,11,1},{18,14,1}},
		[22256] = {{18,11,1},{18,14,1}},
		[22257] = {18,4,1},
		[22266] = {18,4,1},
		[22267] = {20,8,1},
		[22268] = {20,8,1},
		[22269] = {20,8,1},
		[22270] = {18,5,1},
		[22271] = {18,4,1},
		[22275] = {18,20,1},
		[22301] = {25,24,1},
		[22302] = {20,11,1},
		[22303] = {24,17,1},
		[22304] = {21,7,1},
		[22305] = {18,30,1},
		[22306] = {19,18,1},
		[22309] = {22,3,1},
		[22311] = {20,7,1},
		[22313] = {19,13,1},
		[22314] = {21,7,1},
		[22315] = {21,7,1},
		[22317] = {18,30,1},
		[22318] = {18,30,1},
		[22319] = {19,18,1},
		[22321] = {19,16,1},
		[22322] = {19,18,1},
		[22325] = {19,18,1},
		[22326] = {24,17,1},
		[22327] = {25,24,1},
		[22328] = {25,24,1},
		[22329] = {25,24,1},
		[22330] = {18,30,1},
		[22331] = {24,17,1},
		[22332] = {24,17,1},
		[22333] = {24,17,1},
		[22334] = {{25,11,1},{25,24,1}},
		[22335] = {20,11,1},
		[22336] = {20,11,1},
		[22337] = {20,11,1},
		[22339] = {20,11,1},
		[22340] = {20,11,1},
		[22342] = {20,11,1},
		[22343] = {20,11,1},
		[22345] = {21,7,1},
		[22349] = {33,9,1},
		[22350] = {33,9,1},
		[22351] = {33,9,1},
		[22352] = {33,6,1},
		[22353] = {33,13,1},
		[22354] = {{33,10,1},{33,11,1},{33,12,1}},
		[22355] = {{33,1,1},{33,2,1},{33,12,1}},
		[22356] = {{33,4,1},{33,5,1},{33,12,1}},
		[22357] = {33,3,1},
		[22358] = {{33,7,1},{33,8,1},{33,12,1}},
		[22359] = {33,6,1},
		[22360] = {33,13,1},
		[22361] = {{33,10,1},{33,11,1},{33,12,1}},
		[22362] = {{33,1,1},{33,2,1},{33,12,1}},
		[22363] = {{33,4,1},{33,5,1},{33,12,1}},
		[22364] = {33,3,1},
		[22365] = {{33,7,1},{33,8,1},{33,12,1}},
		[22366] = {33,6,1},
		[22367] = {33,13,1},
		[22368] = {{33,10,1},{33,11,1},{33,12,1}},
		[22369] = {{33,1,1},{33,2,1},{33,12,1}},
		[22370] = {{33,4,1},{33,5,1},{33,12,1}},
		[22371] = {33,3,1},
		[22372] = {{33,7,1},{33,8,1},{33,12,1}},
		[22373] = {33,16,1},
		[22374] = {33,16,1},
		[22375] = {33,16,1},
		[22376] = {33,16,1},
		[22383] = {[3] = 5,[4] = 27832},
		[22384] = {[3] = 5,[4] = 27830},
		[22385] = {[3] = 5,[4] = 27829},
		[22394] = {24,3,1},
		[22395] = {18,25,1},
		[22396] = {32,4,1},
		[22397] = {18,1,1},
		[22398] = {19,18,1},
		[22399] = {32,5,1},
		[22400] = {18,25,1},
		[22401] = {21,7,1},
		[22402] = {32,4,1},
		[22403] = {25,9,1},
		[22404] = {25,9,1},
		[22405] = {25,9,1},
		[22406] = {25,9,1},
		[22407] = {25,9,1},
		[22408] = {25,19,1},
		[22409] = {25,19,1},
		[22410] = {25,19,1},
		[22411] = {25,19,1},
		[22412] = {25,19,1},
		[22416] = 22349,
		[22417] = 22352,
		[22418] = 22353,
		[22419] = 22354,
		[22420] = 22358,
		[22421] = 22357,
		[22422] = 22356,
		[22423] = 22355,
		[22424] = 22362,
		[22425] = 22350,
		[22426] = 22364,
		[22427] = 22359,
		[22428] = 22360,
		[22429] = 22361,
		[22430] = 22365,
		[22431] = 22363,
		[22433] = {24,15,1},
		[22436] = 22350,
		[22437] = 22359,
		[22438] = 22360,
		[22439] = 22361,
		[22440] = 22365,
		[22441] = 22364,
		[22442] = 22363,
		[22443] = 22362,
		[22464] = 22350,
		[22465] = 22359,
		[22466] = 22360,
		[22467] = 22361,
		[22468] = 22365,
		[22469] = 22364,
		[22470] = 22363,
		[22471] = 22362,
		[22472] = {21,7,1},
		[22476] = 22349,
		[22477] = 22352,
		[22478] = 22353,
		[22479] = 22354,
		[22480] = 22358,
		[22481] = 22357,
		[22482] = 22356,
		[22483] = 22355,
		[22488] = 22350,
		[22489] = 22359,
		[22490] = 22360,
		[22491] = 22361,
		[22492] = 22365,
		[22493] = 22364,
		[22494] = 22363,
		[22495] = 22362,
		[22496] = 22351,
		[22497] = 22366,
		[22498] = 22367,
		[22499] = 22368,
		[22500] = 22372,
		[22501] = 22371,
		[22502] = 22370,
		[22503] = 22369,
		[22504] = 22351,
		[22505] = 22366,
		[22506] = 22367,
		[22507] = 22368,
		[22508] = 22372,
		[22509] = 22371,
		[22510] = 22370,
		[22511] = 22369,
		[22512] = 22351,
		[22513] = 22366,
		[22514] = 22367,
		[22515] = 22368,
		[22516] = 22372,
		[22517] = 22371,
		[22518] = 22370,
		[22519] = 22369,
		[22520] = {33,15,1},
		[22635] = {29,16,1},
		[22637] = {{29,4,1},{29,12,1}},
		[22652] = {[3] = 11,[4] = 28207},
		[22654] = {[3] = 11,[4] = 28205},
		[22655] = {[3] = 11,[4] = 28209},
		[22658] = {[3] = 11,[4] = 28208},
		[22660] = {[3] = 11,[4] = 28210},
		[22661] = {[3] = 6,[4] = 28219},
		[22662] = {[3] = 6,[4] = 28220},
		[22663] = {[3] = 6,[4] = 28221},
		[22664] = {[3] = 6,[4] = 28222},
		[22665] = {[3] = 6,[4] = 28224},
		[22666] = {[3] = 6,[4] = 28223},
		[22669] = {[3] = 5,[4] = 28242},
		[22670] = {[3] = 5,[4] = 28243},
		[22671] = {[3] = 5,[4] = 28244},
		[22682] = {33,16,1},
		[22691] = {33,9,1},
		[22711] = {29,14,1},
		[22712] = {29,14,1},
		[22713] = {29,14,1},
		[22714] = {29,14,1},
		[22715] = {29,14,1},
		[22716] = {29,14,1},
		[22718] = {29,14,1},
		[22720] = {29,14,1},
		[22721] = {29,14,1},
		[22722] = {29,14,1},
		[22726] = {[1] = 33,[3] = 1},
		[22727] = {[1] = 33,[3] = 1},
		[22728] = {[3] = 12,[4] = 28327},
		[22730] = {32,9,1},
		[22731] = {32,9,1},
		[22732] = {32,9,1},
		[22733] = {33,15,1},
		[22734] = {32,9,1},
		[22736] = {25,22,1},
		[22739] = {29,9,1},
		[22756] = {[3] = 11,[4] = 28480},
		[22757] = {[3] = 11,[4] = 28481},
		[22758] = {[3] = 11,[4] = 28482},
		[22759] = {[3] = 6,[4] = 28472},
		[22760] = {[3] = 6,[4] = 28473},
		[22761] = {[3] = 6,[4] = 28474},
		[22762] = {[3] = 5,[4] = 28461},
		[22763] = {[3] = 5,[4] = 28462},
		[22764] = {[3] = 5,[4] = 28463},
		[22798] = {33,15,1},
		[22799] = {33,15,1},
		[22800] = {33,6,1},
		[22801] = {33,13,1},
		[22802] = {33,15,1},
		[22803] = {33,11,1},
		[22804] = {33,3,1},
		[22806] = {33,2,1},
		[22807] = {33,3,1},
		[22808] = {33,13,1},
		[22809] = {33,9,1},
		[22810] = {33,11,1},
		[22811] = {33,9,1},
		[22812] = {33,15,1},
		[22813] = {33,12,1},
		[22815] = {33,10,1},
		[22816] = {33,4,1},
		[22818] = {33,10,1},
		[22819] = {33,15,1},
		[22820] = {33,10,1},
		[22821] = {33,15,1},
		[22897] = {25,10,1},
		[22935] = {33,1,1},
		[22936] = {33,1,1},
		[22937] = {33,1,1},
		[22938] = {33,1,1},
		[22939] = {33,1,1},
		[22940] = {33,2,1},
		[22941] = {33,2,1},
		[22942] = {33,2,1},
		[22943] = {33,2,1},
		[22947] = {33,3,1},
		[22954] = {33,3,1},
		[22960] = {33,10,1},
		[22961] = {33,10,1},
		[22967] = {33,11,1},
		[22968] = {33,11,1},
		[22981] = {33,12,1},
		[22983] = {33,12,1},
		[22988] = {33,11,1},
		[22994] = {33,12,1},
		[23000] = {33,13,1},
		[23001] = {33,13,1},
		[23004] = {33,7,1},
		[23005] = {33,4,1},
		[23006] = {33,4,1},
		[23009] = {33,7,1},
		[23014] = {33,7,1},
		[23017] = {33,7,1},
		[23018] = {33,7,1},
		[23019] = {33,5,1},
		[23020] = {33,8,1},
		[23021] = {33,8,1},
		[23023] = {33,8,1},
		[23025] = {33,9,1},
		[23027] = {33,9,1},
		[23028] = {33,4,1},
		[23029] = {33,4,1},
		[23030] = {33,4,1},
		[23031] = {33,4,1},
		[23032] = {33,8,1},
		[23033] = {33,5,1},
		[23035] = {33,5,1},
		[23036] = {33,5,1},
		[23037] = {33,6,1},
		[23038] = {33,6,1},
		[23039] = {33,6,1},
		[23040] = {33,14,1},
		[23041] = {33,14,1},
		[23042] = {33,6,1},
		[23043] = {33,14,1},
		[23044] = {33,16,1},
		[23045] = {33,14,1},
		[23046] = {33,14,1},
		[23047] = {33,14,1},
		[23048] = {33,14,1},
		[23049] = {33,14,1},
		[23050] = {33,14,1},
		[23053] = {33,15,1},
		[23054] = {33,15,1},
		[23055] = {33,16,1},
		[23056] = {33,15,1},
		[23057] = {33,15,1},
		[23059] = {33,15,1},
		[23060] = {33,15,1},
		[23061] = {33,15,1},
		[23062] = {33,15,1},
		[23063] = {33,15,1},
		[23064] = {33,15,1},
		[23065] = {33,15,1},
		[23066] = {33,15,1},
		[23067] = {33,15,1},
		[23068] = {33,5,1},
		[23069] = {33,16,1},
		[23070] = {33,13,1},
		[23071] = {33,9,1},
		[23073] = {33,8,1},
		[23075] = {33,12,1},
		[23124] = {25,23,1},
		[23125] = {25,23,1},
		[23126] = {25,23,1},
		[23171] = {4,6,1},
		[23173] = {4,6,1},
		[23177] = {13,8,1},
		[23178] = {13,8,1},
		[23192] = {11,2,1},
		[23198] = {25,12,1},
		[23200] = {[1] = 24,[3] = 1},
		[23201] = {[1] = 24,[3] = 1},
		[23206] = 22520,
		[23207] = 22520,
		[23219] = {33,7,1},
		[23220] = {33,3,1},
		[23221] = {33,16,1},
		[23226] = {33,16,1},
		[23237] = {33,16,1},
		[23238] = {33,16,1},
		[23242] = {33,14,1},
		[23320] = {{18,22,1},{20,1,1}},
		[23545] = {33,14,1},
		[23547] = {33,14,1},
		[23548] = {33,14,1},
		[23549] = {33,14,1},
		[23557] = {32,8,1},
		[23558] = {32,8,1},
		[23570] = {32,8,1},
		[23577] = {33,15,1},
		[23663] = {33,16,1},
		[23664] = {33,16,1},
		[23665] = {33,16,1},
		[23666] = {33,16,1},
		[23667] = {33,16,1},
		[23668] = {33,16,1},
		[23683] = {[3] = 9,[4] = 30047},
		[23684] = {[3] = 4,[4] = 30021},
		[24101] = {20,7,1},
		[24102] = {20,9,1},
		[33154] = {9,7,1},
		[33176] = {9,7,1},
		[33182] = {9,7,1},
		[33184] = {9,7,1},
		[33277] = {9,7,1},
		[33292] = {9,7,1},
		[33808] = {9,7,1},
		[33977] = {18,31,1},
		[34068] = {9,7,1},
		[34073] = {9,7,1},
		[34074] = {9,7,1},
		[34075] = {9,7,1},
		[37011] = {9,7,1},
		[37012] = {9,7,1},
		[37127] = {18,31,1},
		[37128] = {18,31,1},
		[37597] = {18,31,1},
		[37828] = {18,31,1},
		[37863] = {18,31,1},
		[38175] = {9,7,1},
		[38280] = {18,31,1},
		[38287] = {18,31,1},
		[38288] = {18,31,1},
		[38289] = {18,31,1},
		[38290] = {18,31,1}
	}
}
--##END-DATA##
AtlasLoot.Addons:GetAddon("Sources"):SetData(SOURCE_DATA)
